Welcome

Welcome to the BGOffice user manual and help file.

BGOffice is a fully featured invoicing and stock control software system developed in New Zealand for New Zealand business needs.

It is also suitable for many other countries, especially those that require GST, VAT or ACN support..

The standard BGOffice package is fully featured and operates 'off the shelf' but the program has been carefully engineered to enable rapid and cost effective customisation.

It runs on the Windows platform from 98 through to Windows 7, stand alone or networked.


Features

BGOffice Features

BGOffice Features

  • Comprehensive Debtor (Customer) control with invoicing, sales orders, quotations, pro-forma invoicing, consignment stock and comprehensive back order management
  • Plain paper support for invoices, purchase orders, statements with customisable options
  • Centralised (Head Office) billing support
  • Open item transactions aged around cash sale, 7 day or 20th following invoices with aged balance reporting
  • Detailed transaction reporting with date or period based reporting and including bank deposit for cash received
  • Bad Debt management module included, separate from active account management, inbuilt penalty interest option
  • Complete sales history available for all transactions, invoices, purchased items etc to screen or printer
  • Inventory items include schedules, bills of materials, promotional pricing, serialised or colour/size attributes, with narrative or freehand text, and integrated invoicing templates, bin and warehouse control etc
  • Selling price matrix derived from 10 customer groups plus a 'key' account with unlimited pricing and product groups
  • Comprehensive stocktaking and pricing modules
  • Multiple warehouse locations with detailed movement control
  • Detailed sales and marketing support with sales call scheduling, yields, commission control and sales person reporting
  • Creditors (Suppliers) module includes purchase ordering, inwards goods, supporting multiple currencies with reports for undelivered orders, back orders and goods received
  • Comprehensive vehicle module integrated to suit automotive trade users
  • A point-of-sale module is built in and supports barcode readers and docket printers
  • The contacts module groups organisations and people and integrates to mailing lists and email distribution
  • Customer loyalty module (preferential customer control) with sales letters and marketing support
  • Management financials include gross profit reporting, detailed sales and purchases analysis, best performer reporting
  • Comprehensive data export options to spreadsheets including EDI invoices and uploading to Zen Cart.
  • BGCash, an integrated cashbook available
  • BGContainer, an integrated Container Inwards Goods processing system
  • BGSaleslink, integrates BGOffice with Saleslink
  • Upgrades available from Baksoft DL1, DL90 and from Kiwi For Dos

Copyright © 2011, Baksoft Group Limited, New Zealand


Getting Started

Program Installation

Main Menu Options

Program Modules

File Browsers

Program Settings

Quick Start Guide

Copyright © 2011, Baksoft Group Limited, New Zealand


Installing

Installing BGOffice

Installing to a standalone workstation.

Download BGOffice setup program from www.baksoft.co.nz.

Select save or run.

If you are prompted about the publisher's certificate, confirm that you wish to proceed.

Double click on the installation package.

BGOffice is now installed and ready for use.

Installing to a networked workstation

Proceed as above.

Then, under Program Settings, configure the data source to use the network share where the program data is located.

Configuring multiple company operation

  • Select the 'multi company' option from the program settings and create companies as needed, or
  • Copy the BGOffice desktop shortcut and add a parameter to the icon properties.

(Details in the networking section later in this manual)

Copyright © 2011, Baksoft Group Limited, New Zealand


Menu Options

BGOffice Main Menu Options

Maintenance

Program settings

Rebuild index keys

Backup and restore options

Exit

Point Of Sale

Accesses the POS screen, a reconciliation option against the cash sales account and an option to open the cash drawer if it is connected. (There is also a hot key that will open the drawer from anywhere within the program)

Contacts

Select from organisations or the people attached to an organisation. There is also an option to create an organisation.

Customers

Displays the customer main browser and an option to create a customer.

Access browsers for the sales orders, quotations and consignment notes.

Access the Invoice Archives module

Inventory

Access to the master products browser, and an option to create a stock item.

Access to the bill of materials browser.

Goods movements browser and reprinting options

Product adjustments browser, and the stock taking utilities.

Access to the Sell and Buy price bulk updating options

The ability to change a product code

Access the promotional pricing module

Suppliers

Displays the supplier main browser and an option to create a supplier.

Access browsers for the purchase orders and the inwards goods files

Reports

Customer reports,

Inventory item reports

Management reports

Supplier reports

Invoice reports

Inwards goods report

Help

About BGOffice including the version and contact details,

Help documentation,

Program update options,

Tip of the day

Software registration

Copyright © 2011, Baksoft Group Limited, New Zealand


Modules

The BGOffice Modules

Basically, BGOffice is structured around 3 main modules or sections:

  • Inventory,
  • Customers,
  • Suppliers.

Connected to these main areas are a series of sub modules:

Customers:

  • Sales Order Entry
  • Quotations or Proposals
  • Invoicing
  • Point Of Sale
  • Product Movements

Suppliers:

  • Purchase Order Entry,
  • Inwards Goods

Inventory:

  • Stocktaking

Contacts

Reports

Copyright © 2011, Baksoft Group Limited, New Zealand


Browsers

BGOffice Browsers

There are three master browsers within the BGOffice program.

  • Customers,
  • Inventory
  • Suppliers

The browser is a table of rows and columns, like a spreadsheet, which displays all of the records within that master data file. The rows will be sorted according to the lookup key which is active on the table.

In the case of the inventory browser, the items are sorted by the 15 character product key. In the case of the customers or suppliers, they are sorted either by the numeric identifiers, i.e. the account number, or by the alpha key, whichever has been entered as the last lookup phrase in the entry field.

If you want to do any operation on a customer record or a supplier record or an inventory record, you start by accessing the browser, locating the record that you want, and drilling down to the procedure or function you want.

When these master browsers open from the main menu, the cursor is positioned on a text entry field.

If you enter the text for an alpha key (or part of it) or a number as in the customers and suppliers browser, and hit Enter, the first matching record will be highlighted.

If the record highlighted is the one you want simply hit the <enter> key to bring up the master record that applies.

If it isn't the one you want, use the up and down arrows to scroll through the records, and then hit <enter> to display.

There is also a search function. This will search all records for the text scrap that you enter as the search phrase, and display all matching records. Scrolling through the matches with the arrow keys will allow you to accept the highlighted record, or cancel if the results do not include the record you want to locate.

Any operation applying to a customer record, a supplier record or an inventory item begins with selecting that record using the browser.

The ESC key will close the browser or the master record that has been selected from the browser.

Copyright © 2011, Baksoft Group Limited, New Zealand


Report Pro

BGOffice uses a reporting engine called Report Pro.

The program generates the necessary data when a report is selected, and passes it to the reporting engine for printing, exporting or previewing.

Usually, the report will be generated in Preview mode (although some can be defaulted to print immediately, e.g. Invoices)

Report Pro will display the report exactly as it will print, usually in full size on your screen.

Report Tool Bar Options

  • Open a saved report. (BGOffice reports are generated dynamically so this is not normally a usable option)
  • Select a printer
  • Save as HTML or as rich text
  • moved from one page to the next or to the first or large page
  • Choose a page number to display
  • View in single or double page format
  • Lock the report (only available for saved reports, see note above)
  • The current page number

Additionally, clicking the mouse on the report will cycle through several levels of zooming.


Selecting Dates

Using the Date Selector in BGOffice

Whenever a date entry field is displayed, a small calendar button will appear beside it.

Clicking on the button will bring up the calendar screen. The date can then be selected, and, by double-clicking on the data, the data will be placed into the entry field. (Dates can still be manually entered but this is a fast and accurate way of entering a date)

When the calendar opens it will display the date that is in the filed, if there is one, or the current data, if it is blank.

Placing the mouse of the Month name (June in the screen example) will offer a drop down selector from which any of the 12 months can be selected.

Note: The left arrow and right arrow button will move the calendar a month at a time in the appropriate direction.

'

When the pointer is clicked on the Year, selector arrows will appear and allow the year to be set forward or backward.

When the desired date has been selected, double click on it and it will be placed in the date entry field.


Settings

Program Settings

BGOffice Settings and Preferences

The operation of the BGOffice software is controlled by various program settings.

These settings are of two types: global and local.

Global settings dictate how the program operates for all users while local settings relate to the actual workstation and are generally user preferences.

The settings and preferences are accessed under the main menu option Maintenance, Program Settings.

There are 'standard' and 'Advanced' settings as well as 'Preferences'

There is also a checkbox under the Preferences screen that enables 'Extended Control.

Checking this option will display more choices within the drop boxes.

Program Preferences

If the setting you want to access is not visible, make sure you tick this checkbox and choose from the Standard or Advanced buttons on the program settings screen. If program security has been enabled you may not have rights to all options and may need to be logged in as Administrator.

Program Settings fall into broad groups and the options applicable to those groups will be documented in the following pages.

  • Financial
  • Customers
  • Suppliers
  • Inventory
  • Invoicing
  • Inwards Goods
  • Vehicles
  • Security
  • Point Of Sale
  • User Preferences
  • Stationery
  • Sales and Marketing
  • Email
  • Miscellaneous

Copyright © 2011, Baksoft Group Limited, New Zealand


Financial

Commission Groups

Each product item can be assigned to one of 20 commission groups.

Commission earnings can then be assigned to a Salesperson based on the sales made between selected dates.

Currencies and Conversion Rates

BGOffice supports a default currency and 5 others with the conversion rate back to the default.

Inventory items can be purchased in any of these selected currencies and suppliers and purchase orders support the purchasing currency.

GST Settings

GST is supported on 10 levels. Each inventory item is assigned to one of these groups.

If a single rate applies, as in New Zealand, the percentage can be set for each group.

GST can default to be added, included or be not applied to invoices.

Invoices can have the GST defaults overridden at the time they are created.

Penalty Interest Settings

The interest rates applicable to the three types of accounts are based on an annual rate percentage applied when an item remains unpaid after a user set number of days. Additionally a minimum charge can be enforced.

Copyright © 2011, Baksoft Group Limited, New Zealand


Customers

Customer

Customer Settings

Advises the number of customers in the file and the account ID that will be allocated to the next record created.

Profile Labels.

Rebuild Territory Location File

Territory or Location labels are created by the user against the customer master account. Occasionally, it is necessary to rebuild this file to remove 'stale' references.

Create Opening Debtor Transactions

This facility is only available when upgrading or cross grading from a Baksoft DOS or Kiwi For Dos program module.

Recall Deleted Customer Records

Customer records are not removed from the file when they are deleted. They are simply hidden. Deleted records can be recovered with this utility. Note that ALL deleted customers will be recovered. It is not possible to be selective.

Remove Deleted Customers

Customer records that have been deleted can be permanently removed with this function. They will not be able to be recovered.

Copyright © 2011, Baksoft Group Limited, New Zealand


Suppliers

Purchase Order Settings

THe purchase order is available in 2 standard plain paper layouts, landscape and portrait.

The stationery header details will print unless disabled with the Preprinted Stationery checkbox.

The labels used on the purchase order status screen and report are defined by the user.

Rebuild Supplier Groups File

Supplied groups are created by the user against the supplier master account. Occasionally, it is necessary to rebuild this file to remove 'stale' references.

Copyright © 2011, Baksoft Group Limited, New Zealand


Inventory

Inventory Settings

Inventory Settings

Attribute Find and Replace

Find all references to an attribute property and replace it.

Attribute Locator Utility

Provides a means of locating all instances of an attribute property and the product codes they belong to

Inventory Costing and Update Options

Determines how the system should value existing stock when new stock is received.

Extended Editing Module

There is a second description field in all product codes which is used in some external operations. This module is designed to allow for the editing of that second description and provides some shortcuts that make the process easier.

Button Options

  • Group, loads a product group
  • +++, selects a number of product groups
  • Bin, loads from a bin range
  • Supplier, loads a selected supplier
  • Code, loads a code range
  • Load All, loads all items
  • Load Defaults, loads the description into the extended description line
  • Upper Case, converts the extended description to upper case
  • Mixed Case, capitalises the first letter of every word
  • Clear All Items, removes all the extended description contents
  • Accespt & Update, saves the extended description line and closes the window

Schedule Header Item Quantity Control

If a product item has a schedule listed against it, sales made for the parent item affect the stock balances of the item codes listed in the schedule.

This control function determines the way inwards goods are treated when the item is a schedule item.

In many cases a schedule item doesn't actually exist as a separate item so inwards goods will not be received against it. But it could be that the item does exist. The issue then becomes how to allocate incoming stock - to the parent, or to the schedule items.

The Narrative Template Editor

Inventory items contain a text message which may or may not contain additional descriptive information for the item.

There are three message sources that can be used to populate the text box depending on the purpose of the document.

They are:

  1. The standard text box that you see on the inventory master record, the contents of which appear on the invoice
  2. The Proposal or Quotation option which can provide different content when a proposal or quotation is produced
  3. The Purchase Order text, provides information specific to purchase orders.

If 2 and 3 are blank BGOffice will default to the invoicing text (the standard record text) - which may also be blank.

It is possible that a number of product items could use a similar description. An example could be the text details attached to a vehicle service or to a description of a service provided by a tradesman where a details description of the work done is contained in the product code itself. This makes for efficient invoicing as a single product code entry can populate many lines of text.

The narrative editor allows for standardised 'boilerplate' messages to be created and accessed easily. The contents of the template are copied into the clipboard for pasting into the document or screen when needed.

Button Options

    • Delete - deletes the highlighted template
    • Cancel - cancels the changes
    • Save - saves the changes
    • Copy - loads the template into the clipboard where it can be pasted (Ctrl+V) into the target screen or document
    • OK - exits the module

Pricing Matrix Discount Settings

The price matrix is used to determine the selling price of a product item

It can be visualised as a spreadsheet with 10 columns across and an unlimited number of rows.

Each of the columns corresponds to 1 of the 10 customer price groups.

Each of the rows applies to a product price group.

The cells in the spreadsheet contain the discount percentage to be used to calculate the net price for the customer.

Button Options

  • Costing - accesses the costing template that is sued for that product group - or the default template if there is no specific one
  • Add - adds a product group
  • Delete - deletes a product group
  • Edit - changes the details in a product group
  • Set Default Costing - specifies the costin template that applies to any product groups that do not have their own
  • Edit Customer Groups - allows the names of the customer groups to be changed

Note: The template is not a necessary part of the price matrix function. It is available to assist in determining the discounts to be applied to sales to the various customer groups. In most cases these costing templates will not be required.

Product Groups

Product groups are sales groups as distinct from the pricing groups. Sales groups are used for reporting purposes allowing similar items to be grouped together to yield more meaningful sales analysis. There are a total of 99 product groups available.

Button Options

  • Edit - change the name of the highlighted group. (Also responds to double-clicking)
  • Utilities - rebuilds the history if a name has been edited
  • Print - prints a hard copy report listing the product groups

Some of the history data contains the name of the product group. If the name has been changed history collected prior to that time will still show the old label. Accordingly a rebuild utility has been included which will ensure that all history shows the current product group name.

Rebuild the Attribute Reference File

BGOffice maintains a reference list of all product attributes. This allows for consistent naming when product subfiles are added or edited.

Product deletions and attribute editing can have the effect of removing some of these attribute names from active use. The attribute rebuild utility rebuilds the attribute list including only those which are active.

Warehouse Location Names.

BGOffice supports a primary warehouse location but has the ability to use a further 10 and to identify stock in each of these nominated locations.

This utility allows the names of the warehouses to be edited.

Check for Duplicated Barcodes

This is a housekeeping utility which will check both the master inventory file and the inventory subfile for duplicated barcodes.

It will generate a list of the item code, subfile if relevant, and the barcode that is duplicated.

Create Stock Audit Baseline

As stock is received or sold the stock on hand is updated to reflect these movements.

The stock audit is designed to ensure the integrity of the stock on hand reflects the effect of the stock movements.

Accessing the 'Trace' option from a product master record or subfile record will display the movements from the baseline and compare the calculated result with the stock recorded as being on hand.

Periodically, to reduce the number of transactions being held a new baseline is calculated. IT uses the present stock on hand value to set the baseline.

The stocktake update procedure will also create a new baseline value.

There is a report which will highlight discrepancies where the stock on hand does not agree with the calculated stock.

Recall Deleted Inventory Records

When product items are deleted they are not physically removed form the system. They are simply hidden from normal processing operations.

Accordingly it is possible to re-instate deleted items by running this utility. You should be aware that ALL deleted product items will be returned to the active inventory file. It is recommended that you discuss this with Baksoft support before running the utility.

Copyright © 2011, Baksoft Group Limited, New Zealand


Invoicing

Invoice Minimum Markup Control

BGOffice can be configured to prevent invoices being saved when the overall markup percentage is less than a specified amount.

If the block is triggered a password can be used to override and allow the invoice to be saved.

Since some items may break this rule by nature of the item itself, an exempt list allows these items to bypass the rule.

Invoice Settings and Messages

Features

  • Invoices are numbered consecutively. When the program is first installed the opening invoice number can be supplied but is disabled once an invoice has been created. The system than increments invoices numerically
  • There are four predefined invoice formats. Baksoft provide a customising service for stationery. USers of customised layouts would select the 'customised' option.
  • Checkboxes allow for the stationery header details to be printed onto the invoices, purchase orders and packing slips if the paper being used is blank
  • There are text messages supported for both invoices and packing slips. Quotations can control their messages as part of the 'save as Quotation' process.
  • Older dot-matrix printers are supported by sending the print data as an 'ASCII' stream to the device listed.
  • Backorder messages can be optional printed on the invoice. A checkbox controls this process.
  • The salesperson name can be automatically included in the text message by use of a find-replace template.
  • 7 day invoices, common in the food industry, can have the outstanding balance printed as a message by using a find-replace template.
  • When sales orders are imported and the invoice quantity is less than the order, a backorder prompt can be enabled with the short supplied quantity.
  • Customer purchase orders can be automatically checked for duplication, if required
  • The word 'Quotation' can be replaced with 'Proposal' when printing quotations created within the system
  • Invoices can be exported as XML for EDI transmission. A target folder location can be specified.
  • Product codes that appear on an invoice multiple times as might happen with importing a number of sales orders, can be consolidated so that the code appears only once with the total number of items added.
  • Cash sale customers can have a prompt message at the beginning of the invoice to advised that payment should be made when the invoice is completed.
  • Normally a credit limit will prevent an invoice be saved. An option exists to allow for a warning message but saving will be allowed
  • Invoices and packing slips can pre previewed to check the layout and the messaging that has been created.

Sales Prompting

Allows for a sales prompt message to be presented in either of 2 locations when invoicing: at commencement and completion

Copyright © 2011, Baksoft Group Limited, New Zealand


Inwards Goods

Inwards Goods Value Update Options

Controls the effect on stock value when products are received in through the inwards goods process.

Copyright © 2011, Baksoft Group Limited, New Zealand


Vehicle Option


Security

Manage Users and Passwords

USer can be assigned different program access permissions.

In order to do this the security permissions must be enabled.

Once logging on is required, a log will be created with the time that each user logs in and out of the system

Copyright © 2011, Baksoft Group Limited, New Zealand


Point Of Sale

Point Of Sale Settings

Features

  • Nominates the customer account that is dedicated to the point of sales transactions.
  • Allows the layout of the docket to be set, if a 40 character POS docket printer is employed
  • Directs POS output to a docket printer and specifies the device that the printer is connected to.
  • It supports a cash drawer trigger, if fitted and allows trigger data to be edited
  • It supports security logging to detect cancelled sales or line deletions to protect against operate fraud

Copyright © 2011, Baksoft Group Limited, New Zealand


User Preferences

User Preferences

Options

  • Open Program in Full Screen Mode
  • Use Background ...
  • Offer Printer Selection when Printing Reports
  • Warn When Invoicing if Selling Below Minimum
  • Warn When Invoicing if Customer is Overdue
  • Suppress Zero Cost Warning When Invoicing
  • Create Each Invoice Using Today's Date
  • Check For Purchase History When Invoicing
  • Display Inventory Item Notes When Appropriate
  • Suppress Highlights In Sales and Purchase History
  • Display Customer Notes When Appropriate
  • Default to Multiple Customer Transaction Entries
  • Monthly Account Statements Age Using Sale Date
  • Allocate Credits Against Oldest Aged Amounts
  • Avoid yes/No Confirmations Where Possible
  • Close Program If No User Activity for 5 Minutes
  • Temporary Report File Location
  • Extended Functionality

Copyright © 2011, Baksoft Group Limited, New Zealand


Stationery

Stationery Settings

Printer Assignments

Printers can be defined as the assigned 'default' printer for the normal system generated documents.

Special support is provided if the Bullzip PDF Printer has been installed. The PDF Information button provides additional details.

NOte that the example above shows DoPDF as the default statement printer. The user, in this case, is printing statements to a folder and then attaching them with other PDF documents, e.g. invoices, to email messages to avoid using 'snail mail'. Used in this way, invoices can be saved without printing, and when the statement is prepared, can be individually reprinted to a PDF document into the same folder.

BGOffice name print jobs in such a way that the can be easily identified and will naturally group together in the PDF folder used to collect the invoices and statements.

DoPDF and Bullzip PDF Printer are free utilities. Details and downloads can be obtained from:

www.bullzip.com and www.dopdf.com

Statement Settings and Messages

There are 2 basic plain paper options supported for statement layouts.

Additionally, Baksoft provide a customisation service for statements and other system documents.

A pre-printed option will prevent the stationery header details from printing on the statement output.

7 Day statements behave slightly differently from monthly statements.

Since statements are generated dynamically and can't be reprinted for an earlier date, they can, optionally, be saved to a archive folder.

The statement can support an optional sales banner as well as the standard statement message, The statement printing options can control the printing of these messages.

A print test button will allow a preview of the statement form as it will be printed.

Tip: Statements will often fit a standard company letterhead.

Stationery Header Details

These are the details that will be used in the headers of documents produced from BGOffice unless disabled under the program settings for the documents.

Emailing directly - not where a PDF has been attached - will override the program settings and include the header information.

Copyright © 2011, Baksoft Group Limited, New Zealand


Sales & Marketing

Customer Call Sequence Settings

Customer accounts can have a predefined call schedule specified which integrates with the printing of daily call sheet orders.

It is desirable that the sheets are printed in the sequence that relates to the physical calling process. This module allows a salesperson and call sequence to be configured to match the physical call sequence.

Selecting the call schedule and the salesperson will load all of the customers that match the criteria into the list box. Functions are then available to move customers up or down within the list until the order is established, and then saved.

Access to the Sales Analysis will assist in balancing accounts across different schedules to ensure that workloads are optimised.

Salesperson or Sales Entity Names

This facility allows the entry of up to 20 salesperson or sales entity names.

Each customer account is allocated to one of these names.

Each invoice defaults to the customer's salesperson but can be overridden.

Sales reports and commission reports use the information when preparing report data.

Tip: it doesn't have to be a person's name. It could, for example, relate to different cities, branches, workstation etc.

Copyright © 2011, Baksoft Group Limited, New Zealand


Email

Automated Email Settings

Management Email Addresses

Copyright © 2011, Baksoft Group Limited, New Zealand


Miscellaneous

Dymo Labelwriter

BGOffice supports the Dymo 3 series label writers directly, and operates through the Quickprint copy and paste utility for the 4 series.

Label options also allow the label content to be copied to the clipboard to allow copy & paste to unsupported devices.

Manage External Applications Data Exporting

BGOffice can create a stream of transactional data which can be used by external applications. BGCash uses this stream when it is integrated with BGoffice.

Baksoft can assist in customised this data transfer mechanism for specific client requirements.

The external application will normally provide the housekeeping requirements to limit the size of this file. If it is not being used, it should be turned off to avoid consuming unnecessary disk space.

Register ReportPro Printing Control

The report engine used in BGOffice is and ActiveX module called ReportPro.

It needs to be registered with the computer operating system in order to be recognised. This normally happens automatically on installation. If it should be necessary to re-register for any reason, this utility will do so.

Tips Of The Day Maintenance

The 'Tip Of The Day' utility is an option that can sometimes provide benefits to users. It can be disabled or enabled from the TOTD display window. If used, new tips can be added or edited via the TOTD editing utility

Apply Registry Keys

Occasionally it is necessary to make changes to the system registry to resolve particular and rare operating system issue.

BGOffice contains registry keys that can be used if required.

This procedure should only be used under the direction of a Baksoft support engineer.

Network Information

The network information function will show the mapped drives that are available to the workstation. It is mainly designed to act as a support function to Baksoft engineers to assist in resolving network issues.

Set Data Source Folder

BGOffice looks for the data files in a specific folder location. It can be local to the workstation, as in a single user installation, or it could point to a network share in a multi user or server based configuration. It is sometimes necessary to specify the data source folder, for example, when another computer is being introduced to the network. This is the function that is used to find and specify the data source folder.

Upgrade from Baksoft or Kiwi Software

BGOffice has inbuilt upgrade options for Baksoft DL1, DL90 and POS90 DOS based software. It also allows cross-grading from Kiwi for Dos modules. Normally this would be dome by Baksoft support. The options are only available on a new installation.

Copyright © 2011, Baksoft Group Limited, New Zealand


Contacts

The Contacts module in BGOffice consist of 2 main data tables; organisations and people.

The module is accessed from the main program menu.

Organisations in the Contacts module are entities that do not qualify to be Customers or Suppliers because they will not involve financial transactions. There is a facility to create a customer or supplier account from an organisation in the contacts file.

People, (names) can also be added to the file directly from supplier and customer master records as 'Associated Contacts'.

The Organisations Browser

The people file identifies the module the contact is associated with by displaying a letter in front of the person's ID number

G = General (Organisation)

D = Debtor (Customer)

S = Supplier

Selecting an Organisation displays the Organisation Master Record

Button Options

  • People - Displays the people (names) attached to this organisation
  • Notes - displays the notes file
  • New Contact - creates a new organisation
  • New Person - Creates a new people record
  • Edit details - allows for the details to be edited
  • Create Cust - Create a customer record from the details in the organisation record

The People Browser

The buttons on he left hand side of the browser window will populate the selector box with the organisations that match the alphabetic filter.

Those on the right do the same for the people.

An 'ALL' button lists all entries for either organisations or people names.

The people file identifies the module the contact is associated with by displaying a letter in front of the person's name.

G = General (Organisation)

D = Debtor (Customer)

S = Supplier

The People Master Record

Attached to the People master record is a notes file, and the ability to add the person to the Email Distribution Lists.

The Edit button allows the details to be changed.

New Organisation

Creating a new organisation opens the Organisation Master Record with blank fields.

New People Contact

Creating a new person opens the Contact Person Master Record with blank fields.

Copyright © 2011, Baksoft Group Limited, New Zealand


Inventory Menu Options


Create Inventory Item

Inventory items in BGOffice consist of 4 main types,

  1. Standard product type, quantity is controlled
  2. Standard product type with serialised items
  3. Standard product type with attribute subfiles (colour or size etc)
  4. Non quantity controlled items

Each product item has a unique identifier call the Product Code and a Product Description

Subfiles of serialised items consist of unique serial number records and only quantities of 1 or zero are permitted.

Subfiles with attributes can maintain any quantities against an individual record.

Product items are further subdivided into 4 groupings.

  1. Pricing Group - assigns the item into a price-matrix row
  2. Product Group - assigns the item into sales groupings appropriate for sales reporting
  3. GST Rate - assigns a GST or VAT rate
  4. Commission - Assigns a commission group for the payment of commissions against sales.

.

Other Properties

  • Sell Price, the 'top level' price from which any discounts are derived by referencing the customer against the price-matrix table
  • Cost price - the 'standard' cost used for product pricing, not necessarily the purchase price. They are maintained separately.
  • Bin - the primary bin location. Items can also be allocated to separate warehouses and bin locations.
  • Barcode - the product barcode
  • Unit - the unit of sale, e.g. box, carton. The default is 'each'
  • Kgs - the product weight. Invoices will show a total weight.
  • M3 - the size in cubic metres, also totaled on invoices
  • Invoicing Text - optional additional details that will be included on an invoice. Find -replace markers can be included in the text.
  • Narrative - If 'NARRATIVE' appears in the description line, the invoicing text will replace the description on the invoice
  • Allow Cost - when invoicing, the item cost may be edited if this checkbox is ticked.

Button Options

  • Suggest Barcode - suggests a unique 6 digit number that can be used as a barcode
  • Templates - accesses the boilerplate templates enabling copy & paste into the invoicing text.
  • Copy From - enables cloning from another inventory item
  • Exit - exits the create process


Inventory

The Inventory Browser

Selecting the inventory browser option from the main program menu under inventory will display the browser.

All product items will be listed, sorted by the product code. The cursor up and down keys and the Page Up and Page Down keys can be used to move the highlighted line through the file. The scroll bar can also be used to drag the window over the entire inventory file.

Hitting the Enter key will open the master record for the highlighted product item.

The ESC key will close the browser.

Entering a product or part of a product code in the text box, followed by the Enter key, will position the file at the first matching code. The Enter key or double clicking (or the Display button) will open the product record.

Button Options

  • Consignment - shows the stock currently out on consignment for the highlighted item
  • Available - shows the stock oh hand and in which warehouse location it is located
  • Bin - shows the bin locations
  • Costs - brings up the either the full product costing screen, or the Quick Costing screen according to the user program preferences
  • Sell - Shows the selling price with the table of customer group discounts from the price-matrix, and the Key Account sell price
  • Search - brings up a search facility which will identify all matches for 1 or 2 text scraps in any of the product item fields.
  • Find Barcode - scanning a barcode will display the matching record
  • Create - allows a new inventory item to be created
  • Delete - enables the deleting of the highlighted item subject to certain criteria. (This key is disabled by default, see program preferences)
  • Refresh - displays updated information in the browser. (Other users may have made changes to the data displayed)
  • OK - closes the browser. The ESC key will also close the browser.

NB: The IIn Stock column will show the quantity on hand or N/A for a non-quantity controlled product item.


Inventory

The Inventory Master Record.

The inventory master record is opened from the Inventory Browser and provides access to all of the product item management operations.

Features of the Inventory Master Record

  • Displays the unit of sale (e.g. Carton, dozen, each, etc)
  • Selects or displays the image associated with the item, if there is one.
  • Displays the BIN locations and access the additional bins in the other warehouse locations
  • Displays the Pricing Group, the row in the price matrix that this item belongs to
  • Displays the Product Group, the group that is used for sales reporting
  • Displays the GST group to which the item belongs
  • Displays the commission group the item has been allocated to
  • Shows the selling price and buttons to acces the costings and sell price screens
  • Allows access to the promotional price browser
  • Shows the weight and size of the item
  • Displays outer packaging information
  • Displays warranty information
  • Shows the available stock and enables access to the stock on hand screens
  • Displays the subfiles associated with the item, if it is a colour/size or serialised item type
  • Shows the parts list
  • Accesses the label options
  • Accesses the supplier details including costs, currencies etc
  • Has a pop-up Options menu (or button) with extensive functionality
  • Displays the purchases (inwards goods)
  • Displays the sales history (invoices)
  • Accesses the invoicing text and the quotation text and the text boilerplate templates editor
  • Allows a warning message to be entered and displayed when invoicing

Button Options

  • Other - displays the bin locations in the other warehouse locations
  • Display - shows the associated image
  • Select - displays the image management screen
  • Promotions - access the special price promotions management screen
  • Pricing Group - selects the pricing group from the price-matrix
  • Product Group - selects the product sales group
  • GST Group - selects the GST group
  • Commission - selects the group on which commission payments will be calculated
  • Outer - shows the packaging outer if the item is normally supplied in multiple units
  • Warranty displays the warranty terms, if there are any that apply
  • Costs - shows the costings screen
  • Sell - displays the sell prices screen calculated from the price matrix against the customer groups
  • Available - shows the stock available and where it is located, the warehouses and any consignment stock.
  • Sub File - shows the subfiles or serial numbers, if the item type supports it.
  • Parts List - shows the parts list browser
  • Quotation Text - access the alternative text that is used for proposals or quotations
  • Templates - accesses the template editor for boilerplate text snippets
  • Dymo - opens the Dymo Labelwriter screen
  • Label - opens the alternative label printing option
  • Options - displays the pop-up context menu, also available by right-clicking
  • Purchases - the trail of goods receive, derived from inwards goods
  • Sales History - the trail of sales made, derived from invoices
  • Notes - accesses the notes file associated with the product item
  • Set - saves the invoice warning message for display when invoicing


Inventory Subfiles

Inventory items can have subfiles. There are two types of subfiles - serialised items and colour/size items.

BGOffice refers these files as having 'attributes'.

An attribute can be a colour or a serial number or any other property that distinguished one subfile item from another.

The Subfile Master Record

The subfile item has many of the same properties as its parent product code but its stock is controlled independently.

It can also have its own selling price although usually a subfile would inherit the selling price of its parent.

Button Options

  • Dymo - brings up the Dymo Labelwriter screen
  • Label - accesses the alternative label printing module designed to print barcoded product labels
  • Sell Prices - displays the selling prices based on the price matrix
  • Switch - sets the EDI processing product target
  • Bins - displays the bin locations in each of the other warehouses
  • Display and Select - access the image management screen
  • Set Reorder - sets the reorder level
  • Analysis - displays the sales analysis showing current month and previous 12 months sales information
  • Adjust Qty/Cost - allows a manual adjustment of the stock on hand and the cost
  • Trace - shows the stock audit trace screen displaying stock in and out movements
  • Undelivered - shows purchase orders that have not yet been fulfilled

Subfile Sell Price Screen

Subfile Available Stock

This screen is accessed from the inventory master record and displays the stock on hand and value for each subfile.

Button Options

  • Average all - resolves discrepancies in FIFO valuing by averaging the total over all subfiles and making them the same cost
  • Force Std Cost - applies the standard cost to all stock on hand
  • Show - displays the subfile record


Inventory Search

The Inventory Search option will search each data field in the inventory file for a match to a text scrap.

The 'scrap' can be any details, however short, that you might expect to find in the item that you are seeking.

The screen below shows a result that might have been achieved by searching for WIDGET.

Entering WIDGET .AND. YELLOW would have yielded only 1 search result. (Note the second field is optional)

Button Options

  • Print - prints the search result screen
  • Search - initiates the search using the details in the text fields
  • Group - allows the search results to be over a selected product group rather than a text scrap
  • Display - brings up the master record for any highlighted item (also accessed by double-clicking)
  • Accept - return to the browser and select the chosen item

If more than 1000 records match the text scrap you will be asked to refine the search to reduce the number of hits.


Inventory Costing

There are two product costing screens, the normal costings utility and the 'Wizard' costing screen.

The default choice is a personal preference, set under the program settings.

The Wizard screen has an in-built simplified costings template and allows for a simplified inwards goods entry procedure.

Standard Cost - defined.

The costings screens are designed to calculate the 'standard cost' of the product item.

There are three relevant costs associated with an inventory item and it is important to understand the differences.

  • Buy price, the actual purchase cost of the item or service, converted to local currency if appropriate
  • Standard cost - the cost used as the basis of sell price calculations
  • On hand cost - the averaged value of the stock 'on the shelf' derived from FIFO movements, i.e. goods received and sold

The standard cost can be thought of as an average of the likely buying costs associated with that product allowing for 'normal' price variations due to currency fluctuations, freight costs etc. Since a selling price can't usually follow those fluctuating costs, a base level is set on which the sell price calculations are based. This base price is the standard cost in BGOffice terms.

The buy price in the screen shot below is $AU 2.37, converted to $NZ 2.73 but the standard cost has been set to $NZ 3.01

The Standard Product Costing Screen

Button Options

  • Go (1) - make the standard cost the same as the converted buy price
  • Markup% - The existing markup percentage is displayed, selecting the button allows a percentage to be entered
  • Margin% - The existing margin percentage is displayed, selecting the button allows a percentage to be entered
  • Go (2) - Access the price group template (refer Price Matrix)
  • Excel - opens Excel directly to allow for modeling or reference from a spreadsheet document
  • Edit - enables editing of the available value fields
  • Key A/C - allows entry of the Key Account sell price ( special selling price independent of the price matrix)
  • OK - closes the costings screen

The Wizard Product Costing Screen

Features of the Wizard Costing Screen

  • Shows the supplier, the supplier code and the buying currency
  • Allows direct access to the currency conversion table
  • Converts the buy price to local currency, allows freight and wastage percentages and calculates a landed cost
  • Allows a percentage markup to wholesale on the landed cost
  • Allows a percentage markup to retail from the wholesale costs
  • Existing prices are displayed against the calculated values
  • Buy price, standard cost and sell price can be updated individually
  • Allows a reorder level to be directly entered against the item record
  • Simple inwards goods procedure available - date received, quantity, cost

Button Options

  • Currencies - access the conversion table and allows for editing
  • Invoiced Sales - displays the sales history of the item
  • Sales Analysis - displays the item sales totals by month
  • Calculate - applies the percentages that have been entered for freight, wastage, and the wholesale and retail markups
  • Inwards - enables inwards goods details to be entered and processed into stock on hand
  • Find - locates another product code
  • Previous - moves to the previous product code in the inventory browser
  • Next - moves to the next product code in the inventory browser
  • Add - enables the adding of a new product to the database
  • Print - prints a hard copy of the costing details for filing purposes
  • Cancel - leaves with making any changes
  • Save - updates the files with the new information


Inventory Bin Locations

BGOffice supports a master warehouse and up to 10 addiitional warehousing facilities or descriptive locations.

Items can be allocated to a BIN in each warehouse.


Inventory Adjustments

Product Items can be adjusted for cost and quantity in stock.

It can be done individually, directly from the product master record, or multiple items can be changed by selecting 'Product Adjustment' from the Inventory main menu options.

Multiple Adjustment Process

Product codes are entered in the text entry box. A search option is available.

The stock on hand quantity and cost will be displayed. Lines can be edited by double-clicking or deleted by highlighting and selecting the Delete Button.

Either the quantity or the cost or both can be edited.

Saving will update the files and create entries in the 'critical events' log. An explanatory note must be entered before the changes can be updated.

Product Adjustment

Qty-Cost Adjustment

Individual items can be adjusted from the options available on the Inventory Master Record.


Inventory Schedule

The Inventory Schedule allows for the sale of one product item to affect a number of related items.

The schedule displays the product items and quantities that are associated with the product code.

Items can be edited or deleted by highlighting an entry and selecting the appropriate button, Double clicking the line will also bring up the edit screen.

Adding an item is achieved by entering the product code in the text box, and the quantity to include, and selecting 'Update Schedule'.

If the item is found it will be added to the schedule. the Clear Details button will reset the text entry field to blank.

Button Options

  • Edit Item - change the item quantity
  • Delete - delete a schedule item
  • Clear Details - clears the text entry box
  • Update Schedule - adds the selected item and quantity to the schedule

NB: The difference between a Bill Of Materials and a Schedule is this:

A BOM item included on an invoice will create a line on the invoice for each item in the BOM list. A product item that has a schedule attached will only show the product item on an invoice but each of the items in the schedule list will be adjusted for the sale.


Bill Of Materials

A Bill Of Materials is a group of related stock items and quantities.

It allows for an invoice to be created with a single entry. Selecting a Bill Of Materials item from the invoice options menu will populate the invoice with the list of items and quantities that are included in a single bill of materials reference.

Bill Of Materials Browser

Button Options

  • Edit - change the bill of materials name
  • Create - create a new bill of materials item
  • Delete - delete a bill of materials item
  • Items - manage the component list for the bill of materials

Bill Of Materials Component List

The bill of materials Components list displays the product items and quantities that the BOM is comprised of.

Items can be edited or deleted by highlighting an entry and selecting the appropriate button, Double clicking the line will also bring up the edit screen.

Adding an item is achieved by entering the product code in the text box, and the quantity to include, and selecting 'Update BOM list'.

If the item is found it will be added to the component list. the Clear Details button will reset the text entry field to blank.

NB: The difference between a Bill Of Materials and a Schedule is this:

A BOM item included on an invoice will create a line on the invoice for each item in the BOM list. A product item that has a schedule attached will only show the product item on an invoice but each of the items in the schedule list will be adjusted for the sale.


Inventory Buy Price Options

The Buy Price Adjustment Module

Suppliers often introduce price increases over a range of items as a percentage on the existing buy prices.

This module is designed to facilitate the process of applying percentage based supplier increases to buy prices, standard costs and sell prices.

It allows for price changes - cost and sell - to be modeled, firstly, and then accepted and updated. The existing buy and sell prices are displayed alongside the calculated buy and sell prices.

Items are loaded into the browser by product groups or suppliers or combinations of the two. Once loaded, items can be individually removed until the inventory items that are the subject of the increases remain.

The module supports currencies so that conversion rates can be used to recalculate buy prices.

Standard costs can be protected from change, can be made to reflect the changed buy price, or can be recalculated from the costings templates.

The selling prices can be protected from change , or can be made recalculated using the percentages that applied to old buy and sell values.

Existing stock on hand values - normally reflecting average cost - can be revalued to the new purchase price or remain unchanged.

Button Options

  • Load Items - loads all items that match the supplier or product group selections.
  • Remove selected - items can be selected or unselected by mouse click. All selected items will be removed from the list.
  • Clear all items - removes all items from the list
  • Update - after confirmation, updates the inventory files to reflect the calculated buy and sell prices
  • Currencies - access the currency conversion utility, useful where suppliers lists are not local currency based
  • Calculate - applies the criteria in the options and calculates the new buy and sell prices
  • Exit - closes the module.

The Bulk Pricing Adjustment Module

This module is designed to make the process of recalculating standard cost and sell prices fast and efficient where a number of items are involved.

Items are loaded into the browser by individual product code, or by using the product group and supplier selection boxes. Multiple selections may be made if required.

Items can then be modeled by applying percentages to each or either of the buying and selling prices, or items can be adjusted individually.

Individual items are selected by double clicking on the item line and entering or editing the new values.

Tip: Commonly a percentage would be applied to both the buy and sell prices, and then all items recalculated. Then the individual item adjustment mode would be selected and those items requiring further adjustment, for example, to eliminate rounding errors, would be changed as needed.

Update options allow:

  • Update the buy price to be the same as the new standard cost
  • Revalue the stock on hand at the new cost price
  • Apply pro-rata increases to the customer price lookup history to ensure that new prices are reflected when invoicing.

Button Options

  • Delete selected - removes the selected items before the adjustments are applied
  • Clear All Items - removes all items from the browser, used when a new batch of price changes are to actioned
  • Print/Code - Prints a record of the items that are to be changed by product code
  • Print/Supplier - Prints a record of the items that are to be changed by supplier product code, useful for comparing with a price list.
  • Calculate - applies the adjustment criteria over the items in the browser and displays the new buy and sell prices
  • Update - applies the new values to the inventory records
  • Exit - Closes the module


Sell Price Utilities

The Sell Price Module calculates the price at which the item will be sold to each of the customer price groups using the price-matrix discount t,able.

It also shows the Key Account selling price and provides access to the price history and quantity pricing utilities.

Button Options

  • Key Account Pricing - allows creating, editing or changing the key account selling price
  • Price History - access the sales history which is used for price lookup when invoicing, if that option has been enabled under user preferences
  • Qty Pricing - accesses the quantity discount table alerter that can be applied to the product

Key Account Pricing

The Key Account price is independent of the price matrix discount table. It allows for a 'special' customer relationship, often a related company, to have a pricing arrangement that it independent of a discount applied to a selling price.

The note appears on preparation lists and can be used to impart special information at the time the order is being assembled. It is also included in some product labeling options.

Quantity Price Break Alerter

This function provides a convenient means of displaying quantity discounts that might be available when selling the product. It does not directly influence the selling price on an invoice but provides a means of referencing discounts that might be available that could allow the invoiced price to be overridden.

Price History

Invoicing builds a price-history file that records the date, the account, the item and the price that the item was sold for.

If the Price Lookup option is enabled (program preferences) and the same item is being supplied to the same customer within a 6 month period, and the 'normal' selling price differs from the last time it was supplied, a prompt message will appear and the price will default to the last price it was supplied at. The user can override the sell price but the purpose is to 'remember' prices that have previously been established.

This screen will display the customers and prices paid, and the date of the sale. Items can be deleted so that the price history lookup is not triggered, or adjusted to reflect altered 'normal' selling prices.

Adjustments to the price history allow the forcing of a default value to all history or by applying a percentage change. It allows for a price increase of, say, 5%, to be applied to all history such that any special prices that the customer enjoys can be increased to reflect the change.

Price Adjusting Sales History


Promotional Pricing

The Promotional Pricing Module allows for special selling prices to be set for a defined date range or as permanent contract prices to a single customer or group of customers.

The Promotions Browser

This screen displays the price promotions that have been created in BGOffice.

Each item has basic information displayed including whether there is a date range applicable, whether the normal price-matrix discounts are applied and the customer groups that the special price has been made available to.

Button Options

  • Delete - Deletes the promotion. Even expired promotions remain until physically deleted in order to retain history
  • Create - creates a new promotion
  • Sell Prices - opens the product item sell price screen
  • Print - prints the promotion list
  • Change - opens the promotion record screen for editing

Note - The 'Create' button is only enabled when accessing the promotion browser from a product item master record. It will only, then, display promotions for its own product code.

The Promotion Record

Features of the Promotional Price

  • ALlows entry of the special price
  • Allows an optional date range in which to apply the promotional price
  • Allows the setting of a special commission group (or none) for sales made under the promotion
  • If the product has colour/size subfiles, allows for individual attributes to be selected for the promotion
  • Allows for selecting the customer groups from the price matrix that are eligible
  • Allows for a single account to be specified as in the case of a contract price agreed with one customer only
  • Enables or disables the normal price-matrix discounts that apply to the included customer groups

Tip: You can have multiple promotions against individual product codes.


Stocktaking

The BGOffice Stocktaking Procedure

BGOffice supports an in-built stocktaking procedure suited for complete or 'rolling' stocktaking.

Selected items are loaded into the browser for editing. Successive loading selections are possible and will add to the existing items. The selection can also be limited to only those products that have stock on hand - leaving out those items that have no stock recorded in the system. This can make the counting process more efficient.

The contents of the browser remain until the 'Clear All' option is selected allowing the process to be completed over a number of days. The file is available to all users enabling multiple entry of the physical count results.

The Process

  • If this is a new stock take, clear the existing items.
  • Selectively load the products using the various options or select the 'Load All' option. There is also a 'Find' option
  • Print the Counting Sheets
  • Physically count the stock and manually enter the figure on to the counting sheets.
  • Enter the count results into the browser using the up/down cursor and the 'Enter' key.
  • Mark the counting sheets when entered and file them.
  • When counting is complete from the completed counting sheets, print the Uncounted Items report
  • Resolve uncounted items, if necessary, and enter new count values into the browser
  • Print the Variance Report and resolve any differences
  • When the counting is complete, preview the update
  • When the stock take is complete, Accept and Update to force the new count values into the system.

Tip: Multiple users can enter the count values as the browser file is shared to all users.

The Stocktake Browser

Button Options.

  • Group - loads the selected product group into the browser
  • +++ - selects multiple groups for loading
  • Bin - loads items from a range of bins using the From and Through To text entry fields
  • Supplier - loads the items by the selected supplier
  • Code - loads a range of product codes using the From and Through To text entry fields
  • Load All - loads all items

Note that it is possible to restrict the loading to only those items that are recorded in the system as having stock on hand. By leaving out all items that have no stock, it may not be necessary to count those items so the counting sheets will be fewer. You should have a means, however, of identifying any stock that may exist that is not then included as an entry in the browser.

  • Counting Sheets - prints sheets designed to support the physical counting operation, used for entry into the browser when completed
  • Uncounted Items - prints a list of all of the items in the browser that have not been counted
  • Variance Report - prints the list of items where the physical count varies from the stock on hand in the system
  • Preview Update - provides a preview of the effect of updating the count as it is, before the update is done.
  • Clear All Items - empty the browser by deleting all items
  • Force Zero - marks all browser items with zero if they haven't recorded a count. Effectively forcing a count of zero items
  • Accept & Update - forces the result of the stock take into the system, logging the changes and restarting the stock audit base line
  • Exit - closes the browser.

Note that it is possible to select any of the warehouse locations that the program supports when the stocktake file is empty. You cannot mix warehouses within the same stock take process.

Alternative Stocktake Sheets

There are alternative stocktaking sheets that can be printed from the Inventory Reports module. It is more likely that these will be used where the stock take procedure is not based on the module included in BGOffice.


Change Inventory Code

This module allows for product codes to be changed, if required.

The product code is a unique identifier that ensures each data file that references an item is referring to that specific item - always.

There are many files that contain references to product codes - e.g. invoice lines, purchase orders, consignment notes etc etc - and each needs to be changed from the old code to the new.

Changing Product Codes

Existing product codes are entered together with the code that it they are to be changed to.

Once the list has been entered, the 'Change All Codes' button will validate each old code for replacement and make the necessary changes throughout the system. The result will be displayed indicating the success or otherwise of the code change.

Exit closes the module.


Miscellaneous

Image Settings

An image file can be associated with an inventory item. The image can be displayed from the browser. IT can also be exported directly into web pages (HTML) with a Baksoft utility called BG2HTML.

Images are located with the 'Find Image' button and copied into the BGOffice images folder - 'Set Image Folder'

Additionally a text message can be associated with the image.

Warranty Terms

This facility provides a 'quick' screen access for the warranty terms associated with a product item.

Product Outer Details

This function provides a quick screen access for any outer packaging that applies to the product item.

Barcode and Picking Priority

  • Scan or suggest a barcode for the item
  • Set the picking order when assembling from a preparation list ensuring heavy items are placed on a pallet before lighter ones, for example.
  • Switching is an EDI process where an item is switched for another and then reversed back in the EDI exporting process

Parts List

THis is designed for screen review purposes to show any list of items (parts!) that are associated with a product item. An example of its use would be to list the spare parts that are applicable to a particular product.

Button Options

  • Add - adds a product code to the list
  • Delete - removes an item from the list
  • Print - prints the parts list
  • Search - opens the search screen to find an item
  • Display - opens the item master record

Undelivered Orders

Provides a screen review of all active purchase orders and shows the quantity ordered and the quantity that has been received via the inwards goods process.

The display button will display the highlighted purchase order.


Customer Menu Options


Create Customer

Customers can be created from a menu option under Customers or directly from a Create button on the customer browser.

Create A Customer

  • The Sort Key will default to the first few letters of the customer name but may be manually overridden.
  • The account type allows for cash sale, 7 day or 20th of the month following due date behaviour when invoicing
  • The number of invoices and packing slips to print by default
  • The primary contact name, phones and email details. (A second can be added from the customer master record options)
  • Invoicing and postal (Statement) address details (Others can be added from the customer master record options)
  • The price matrix customer group that this customer belongs to
  • The salesperson or sales entity 'owning' this customer
  • The location (or territory) user assigned field. Select from existing entries or type in a new one.


Customer Browser

The Customer Browser displays all customer accounts in a scrollable windows. It is the entry to the customer module and is selected from the Main Menu under the Customers option.

All customer options are selected from the customer master record. This browser is used to select a customer in order to perform come action against that customer's account.

The header details reflect the customer account that is highlighted.

The curser up and down arrows, and the page up and page down buttons move the highlight.

Entering the Alpha sort key or the account ID number in the entry box, followed by the Enter key, will locate the nearest matching sort key, or the actual account if a number has been entered. The account number is always unique but the sort key can be used to group accounts together in the browser window. The last find - number or sort key - will determine how the window is sorted and displayed. This makes the cursor key controls relevant to the content.

The ESC key will close the browser and return to the main program window.

The Button Options

  • Email - opens the default email client with the customer's email address, ready to send an email message
  • Label Options - offers address labels, either as 1 or 2 up on an A4 sheet for large parcels, or opens the Dymo label writer, if installed
  • Quote - opens a screen which allows the entry of product items and calculates the customer selling price form the allocated price matrix
  • Search - allows the entry of a text 'scrap' to search the entire customer file for matching entries and displays them in a selection box
  • Delete - subject to certain criteria, a customer account can be deleted. THis button is disabled by default and requires unlocking via program preferences
  • Create - used the create a new customer. There is also an option under the Customer menu options to do the same.
  • Display - brings up the highlighted customer master record. Hitting 'Enter' will also do the same and is the usual means of doing so
  • Refresh - sometimes changes are not immediately re-displayed, e.g. when another user is modifying files. These will refresh the data fields
  • OK - closes the browser. Hitting the ESC key will do the same and is the usual means of doing so


Customer Master Record

The Customer MAster Record is displayed from the selected line in the Customer Browser.

All Customer operations begin from the Customer Master Record.

Note that the sample screen shows the F3 Invoice button and the F4 Transaction button disabled. This is done via the Administration screen

All of these buttons are accessible from the F2 Options button or by right-clicking the mouse on the customer screen.

Button Options

  • Addresses - accesses the primary addresses, invoicing, physical and statement.
  • Statement - creates the customer statement with preview and printing options
  • Purchases - accesses the customer's purchase history with an optional date filter
  • Transaction History - accesses the transaction history with an optional date filter
  • Contacts - shows the contact details, phone number etc for the primary contacts
  • Profile - accesses the customer profile settings
  • Options - brings up the menu of all functions available from the customer master record
  • Invoice - allows the creating of invoices, quotations, sales orders and consignment notes
  • Transaction - allows for the entry of payments received, journals and manual invoices and credits
  • Notes - access the customer notes file. This button will flash if there are active notes.

NB: All button options are also accessible from the Options button or by right clicking.


Customer Search

This option opens a search window.

A text 'scrap' can be entered and all records that contain that text anywhere in the data fields will be highlighted in a selection box. Any line can be selected or the search can be repeated until a match is found.

Selecting from the search result box will open the customer master record.


Customer Transaction

The customer transaction entry screen is opened from the Transaction button on the customer master records or from the right click menu options.

Create a Customer Transaction.

  1. Select the transaction type
  2. Select the payment type if payment has been selected as the transaction type
  3. Enter the details of the transaction - date, GST, due date and amount together with the reference and a descriptive note if required.
  4. Enter the cheque details if cheque was selected as the payment type. Cheque details will default to the last entered record.

Once the details have been validated, the Save button will be enabled and the transaction can be saved.

Depending on how you have configured your program preferences, you may be asked if you want to enter another transaction to the same account

WHen you have finished entering transactions, you will be asked if you wish to reconcile open transactions. Confirming will open the customer reconcilation screen so the payment can be allocated against the unpaid invoices that it relates to.

Journals can also be selected for reconciliation. Any batch of transactions that result in a zero total when added can be matched off.


Customer Transaction History

THe Customer Transaction History details all transactions against the account.

A date filter can be selected to limit the transactions being displayed.

Button Options.

  • Print - prints the transactions in the browser
  • Ledger - prints a detailed 'ledger' style report which can be given to a customer
  • Excel - exports the browser details to a CSV file for opening in a spreadsheet program
  • Display - shows additional details for the highlighted transaction
  • Audit TRace - shows the batch of transactions that were reconciled against an audit number
  • Search - searches the transactions

Date Range Filter


Customer Reconciliation

WHen a payment is received from a customer there is a process of reconciling to match off the invoices that have been paid by that receipt.

Closed transactions are then taken off the customer ledger leaving only the open items (unreconciled) active.

Reconciled items will appear on the customer statement in the month that they have been reconciled and will then drop off leaving on active (open) transactions displaying.

The process involves selecting transactions until the balance is zero. At that point the button 'Accept and Update' will become available. The date to use for the reconciliation is then entered and the Update button selected. This moves the transactions from the active transactions file into the transaction history file.

Button Options.

  • Enter List - Allows freeform entry of a list of reference items as might be found on a remittance advice received
  • Export Select - saves the selected items into an external file for later. Used when the entries will not balance to $zero
  • Import Saved - returns the saved selection and highlights the matching entries
  • Sort by - Sorts by reference number or by date. Selecting this button toggles the button caption to the other option
  • Export as - saves the selection to a spreadsheet compatible CSV file
  • Unselect - removes the selection highlight from all items
  • Select - selects all items
  • Print - prints the selected items
  • Create Journal - allows the immediate entry of a rounding amount to establish a $zero total so reconciling can proceed
  • Split - Appears when a payment can be split to match some items and leave an unmatched payment balance as an active item


Customer Sales History

All sales invoices and credits made to a customer are stored in the customer sales history file.

The Sales History option allows for three different data retrieval options.

  1. Purchases by date range with the ability to search and preview the invoices
  2. Sales Analysis totals for the current month and the previous 12 months showing invoice created and values
  3. A detailed report, date filtered, of the items that the customer has purchased

Customer Purchases

The Customer Sales History lists the invoices against a customer.

An optional date filter can be applied.

A search facility is included and double-clicking on the line with the INV reference will bring the actual invoice up in browse mode.

Searching and printing facilities are supported.

Sales Analysis

A monthly analysis showing the actual number of invoices raised by month, and the total value of those invoices. The current month is shown together with each of the previous 12 months. The system is self aging based on the date accessed. It is useful for establishing trends.

The report can be printed if required.

Purchases Report

The report is generated for previewing and printing.


Customer Statement

Selecting the Statement button from the customer master record, or by right clicking and choosing Statement from the options menu, opens the customer statement screen.

If the preview mode is ticked, the statement will be opened in preview mode. If it is unticked it will be printed immediately to the printer that is nominated as the statement printer in the printer assignment options under program settings.

There are 2 message areas on the statement - the statement message and the sales banner. Both are accessed from program settings, statement messages section.

Ticking each will include or exclude the appropriate messages from the statement when it is printed.

You can also choose to save a copy as a RTF document in the statement archive folder - also set under program settings.

The customer email address will be populated into the drop selector as the default as well as all email addresses held against the customer. You can opt to manually overtype the recipient or you can do that when the email screen opens, if you select the Email button

If you have enabled the Bullzip PDF printer under the program options, printer assignments, the document will be prepared as a PDF for emailing or archiving, otherwise it will be in standard RTF format.

Button Options

  • Continue - prints or previews the statement
  • Email - opens the email window with the field populated and the document attached.


Customer Label

Selecting the label option brings up a label window with 5 address lines pre-configured, and the quantity to print defaulted to 1.

Alternative addresses - invoice, postal or physical - can be selected from the drop box. The address lines can also be manually overridden if required.

Button Options

  • Plain 2 Up - Prints 2 labels on an A4 sheet
  • Plain 1 Up - Prints a single label on a full A4 sheet
  • Copies the label details into the clipboard to allow pasting (Ctrl+V) into external applications
  • Dymo - prints to a Dymo Labewriter, if one has been configured.


Customer Options

The Customer Master Record Options button brings up the following menu.

It can also be accessed directly by right-clicking the master record on any part of the screen that is not an editable field.

All of these options are covered by separate entries within the help file.


Customer Notes

The customer notes file is accessed from a button on the customer master record.

When notes exist in the file, the 'Notes' button will flash when the customer master record is opened.

An automatic date-time flagging button is available to tag the new entry, and the entire notes file can be printed if required.


Customer Administration

The Account Administration screen gives access to a number of account behaviour controls.

NB: Some options may not be available depending on your registration key options.

  • The account type may be changed from cash, y days or 20th following terms
  • Accounts on hold have invoicing disabled
  • The watch list is an option under Reports, Customer, Account Balances facilitating monitoring of 'on watch' debtors
  • An inactive account has invoicing and receipting disabled
  • Bad debts are removed from the normal accounts balance report and appear on a special bad debts report option
  • If a credit limit is requited, the check box is ticked and the limit amount is entered
  • Suppressing statement printing removes statements from the batch printing. I.e., no statement is required
  • Email statements - if checked, statements will be emailed instead of being printed in the statement run
  • The account price group is selected from 1 of 10 discount settings in the price matrix, or as a Key Account
  • Invoicing and packing slip default quantities can be set to print automatically as required
  • Email invoices - will automatically email instead of printing in the invoice batch printing options
  • Packing slips are not priced by default. This can be overridden for this account if priced documents are required
  • Central billing allows charges to be forwarded to a head office (centralised) account. If ticked, and account number can be entered.
  • The Set Commission button allows the default commission groups to be overridden for this customer
  • The Customer Loyalty Card button allows the allocation of a preferential or loyalty card number
  • The sales call schedule allows the setting of the sales calling schedule
  • An invoicing alert message will be displayed when an invoice is created for this account
  • The auto code adding ensures that a specified item and selling price is always added to an invoice, e.g. freight
  • The mailing list option controls the address to be used, or excludes the account from the mailing lists


Customer Contact Details

By default each customer has 2 contact persons:

Sales and Orders, and Accounts and Administration.

Additionally, the customer's unique vendor number (applying to the BGOffice user) can be entered here. The Vendor Number is automatically included on invoices raised for the customer.

Customer Contact Persons

There is also provision for a number of email contacts.

Web sites (2) can be listed, and the buttons beside the URLs will automatically open the web browser is a web address has been entered.

Email and Internet

The 'List' button relates to the predefined email distribution lists to which the customer can be attached.


Customer Addresses

Each customer has an invoice address, a delivery or physical address and a statement address.

It is also possible to store a number of different delivery addresses such as might be used for stock sent to branches.

These extra addresses are accessible from the invoicing screen.


Customer Sales Orders

The Sales Order Entry procedure is used to accept an order prior to picking and invoicing.

THe browser lists all active sales orders and allows the printing of preparation lists and pro-forma invoices.

Button Options.

  • Purge - removes orders that have been filled and invoiced
  • Delete - allows for deleting a selected sales order
  • Sales Orders - allow for reprinting or previewing the actual sales order
  • Preparation List - allows for the printing or previewing as a specially designed picking list used for assembling large orders
  • Proforma Invoice - allows for the printing or previewing of a proforma invoice from the sales order.
  • Report - generates a report of all the active sales orders in the browser
  • Search - allows for searching the file
  • Details - displays additional information
  • Pricing - compares the prices in the sales order against the current stock selling prices to highlight orders that may pre-date sell increases
  • Pre-Scan - scans the items off the order from the manually complete preparation list to highlight discrepancies, and adjusts for items supplied


Customer Backorders

Customer backorders are controlled from this screen.

Items may be added, deleted or edited, or printed.


Customer Consignments

Consignment stock is stock that has been issued to a customer but has not been invoiced or paid for.

Stock issued on consignment is managed in the consignment modules.

The Consignment Note Browser lists all active consignment notes.

Consignment Note Browser

Button Options.

  • Print - prints the listed items
  • Reverse - returns the items to stock
  • Summary - summarises the consignment note contents

Items On Consignment Summary

The items may be printed to a report.


Customer Quotations

Quotations are stored in the Quotations Browser.

They can be directly imported into invoices.

Button Options

  • Delete - deletes the quotation
  • Change Status - alters the property from Quotation to Estimate
  • Print Options - access the printing and Emailing options
  • Display - opens the quotation in the report browser


Customer Quick Quote

Te Quick Quote is accessed from the Customer Browser.

Its purpose is to allow a fast means of responding to sales requests without needing to access each product item to check the discounted selling price for the customer price matrix.

Enter the product code followed by the 'enter' key and the correct selling price will be calculated. The stock on hand will also be displayed.

An unlimited number of product items can be entered.

A Search button allows a text based search of the product files.

The Quick Quote can be printed if required.


Customer Profile

The Customer Profile sets flags against predefined criteria for the selected customer account.

These flags are used as filters in the selection criteria for various reports and email distribution options.

Button Options

  • Labels - allows the editing of the label names for each of the check box flags
  • Edit - allows the checkboxes to be selected or unselected against the property labels


Customer Sales Calling Schedule

Sales representatives can be supplied with Sales Call Sheets which list the customer contacts they are required to make on a particular day.

The user can select weekly cycles with particular days specified or from other options which are less restrictive.

A Sales Call Sheet will list each customer for that time period, for that salesperson, and is designed to ensure that regular contact is made and monitored. The sheet also carries additional information as to purchase history and can be used as an order 'blueprint' in the sales process.


Customer Commission

Each product item is allocated to one of 20 commission groups covering different percentages where commissions are payable to the salesperson attached to that customer account.

In order to allow for flexibility, however, it is possible to overide the normal item commissions with a single commission rate that is applied to all sales made.


Preferential Customer

The preferential customer module tracks sales and customer contact via a Loyalty Number that has been allocated to the customer.

The number or a barcoded store card can be used to find the customer at invoicing or point-of-sale processing.

Sales history is retained against the customer and a number of marketing aids such as letter writing support the management of the loyalty module.


Customer Transaction Edit

Any transactions that have not yet been reconciled can be edited.

The Transactions Edit screen is opened from the customer master record options button, or by right clicking on the master record itself.

The window will open with all the unmatched (open) transactions listed.

Available options are to delete or change a transaction.

The Delete button will mark the highlight transaction to be deleted when the changes are confirmed at the end of the editing process.

Selecting Change, or by double clicking the line, will open the details in the lower screen section where they may be changed.

When the transaction details have been edited, selecting the Save button will amend the details in the upper part of the window.

When all editing has been completed, the Save button is used to commit the changes into the program data.

Unless this step is taken none of the edited transactions will be saved and the changes will be cancelled.


Create Invoice

Invoices are created from the Customer Master Record.

The customer name is locked but all other details are available for changing.

There is an invoice message box which will be populated with the standard message but can be edited.

Product codes are entered in to the text box and opened with the 'Enter' key.

The Invoice Master Record

Button Options

  • Label - accesses the label options
  • Order - opens the customer order number and reference screen
  • V - if the vehicle options are enabled, this allows selecting or creating a vehicle for the customer
  • ? - opens the additional delivery address screen, allowing the selection or addition of extra delivery addresses
  • Freight - opens the freight details screen
  • Receipt - allows for payment details to be entered
  • Options - displays the pop-up context menu for the invoice options
  • % - allows the default GST percentage to be changed
  • Search - access the inventory search screen
  • New Item - create a new inventory item
  • Save as Order or Quote - selects the alternative modes where sales orders or quotations are created, not an invoice
  • Cancel - closes the invoice screen
  • Save as Invoice - saves and updates the invoice

Drop Down Selection Options

  • GST - allows the default GST setting to be changed
  • Location - allows the warehouse to be selected from where the stock is to be drawn

The Customer Order Details Screen

There is also a facility to check that a customer purchase order has not been duplicated.

The Invoice Options Menu

Explanation of the Invoice Options

  • Edit line, allows the line that has been entered to be edited
  • Delete line, deletes the highlighted line from the invoice
  • Sort on Product Code, sorts the invoice based on the product code
  • Assign Cartons, allows the lines to be assigned to a carton while the invoice is being created
  • Import Order, imports a sales order into the invoice
  • Import Quotation imports a quotation into the invoice
  • Import Consignment, imports a consignment note into the invoice
  • Import Sales History, compares earlier sales and forces the price to be as previously supplied.
  • Backorders, displays the backorders against this customer
  • Bill Of Materials, allows the selection of a bill of materials into the invoice
  • Save as Consignment, saves the invoice details as a consignment note instead of an invoice
  • Save as Quotation, saves the invoice details as a quotation
  • Dymo Label, accesses the Dymo Labelwriter
  • Copy Invoice, allows for an invoice raised earlier to be copied in to the current invoice
  • Reverse Invoice, allows for an invoice to be imported and reversed as a credit note (negative invoice)
  • Price History, displays previous purchase information for this customer
  • Analysis, analyses the profitability of the invoice and allows various repricing options, including forcing to a fixed total value

The Invoice Analysis Screen

The Invoice Price History Screen

This window displays previous purchases made by the customer and the price paid. IT can be useful for confirming the actual product codes and for checking sell prices.


Invoice Delivery Addresses

BGOffice allows for an unlimited number of delivery addresses to be associated with a customer.

Access to the additional delivery addresses is from the invoicing screen. There is a button with ? beside the delivery address on the invoice screen.

Selecting this button will bring up the screen below:

Button Options

  • Create - add a new address
  • Delete - remove an address
  • Accept - use the new selected address on the invoice
  • cancel - close the window and return to the invoicing screen


Invoice Import Options

Importing a Sales Order into an Invoice

Selecting the option to import a sales order when invoice displays the sales order browser screen. But only sales orders for that customer will be displayed.

Double clicking the order to be imported will immediately bring it into the invoice.

There are a number of options available from the Sales Order Browser.

Button Options

  • Purge, removes sales orders that have been invoiced
  • Delete, deletes the sales order
  • Sales Order Print and Preview, print the sales order., or open in it the preview mode.
  • Preparation List Print and Preview, print the preparation list., or open in it the preview mode.
  • Proforma Invoice Print and Preview, print the sales order as sa proforma invoice., or open in it the preview mode.
  • Report, access the active sales orders report
  • Search, invoke the search mode
  • Details, display the sales order details
  • Pricing, compares the sales order prices against the current file prices and warns of discrepancies
  • Pre-Scan, allows the order to be scanned, item by item, to validate the picked goods against the order.
  • Ok, closes the Sales Order Browser

The Pre-Scan Validation Process

The Pre-Scan procedure is designed to integrate into the physical order preparation process for orders that contain many items.

It allows for items to be barcode scanned while being cartoned. As items are scanned, the quantity to be supplied can be changed or zeroed if there is no stock available. As items are scanned they disappear from the screen browser. Any items that have been missed will still be showing at the end of the pre-scan process and can be reconciled as, either missed in preparation or unavailable.

Once the order agrees with the physical stock sales order is saved. Then when it is imported into the invoice it is known to be correct and requires no further editing or checking.

The Sales Order Pricing Check

Importing a Sales Order into an Invoice

The active orders for the customer being invoiced are displayed in a selection box.

Button Options

  • Delete, deletes the sales order
  • Display, previews the sales order,
  • Load All, imports all sales orders
  • Scan and Import, opens the pre-scan process on the sales order
  • Import, imports the highlighted order into the invoice.

When the Invoice is saved and sales orders or quotations have been imported, a special update screen is opened.

The Sales Order or Quotation Update Options.

unsupplied items on a sales order that has been left active will appear on the customer backorder reports.


Invoice Line Items

Entering a product code into the invoice opens the invoice line entry window.

The Product Line Item Entry

The product item details are retrieved from the inventory file. The sell price is calculated from the price matrix or the key account file.

Special prices are checked and the promotions file is scanned to see if there are matches. The on-hand quantity is shown.

If the item has subfiles a drop down selector will be presented with all of the subfile attributes listed for selection.

The cursor is positioned on the quantity field.

Depending on the settings, the cost field may be enabled for editing.

The carton number will be displayed. If overridden it will be come the default for successive items entries.

A quantity may be entered to create a backorder note on the invoice

Button Options

  • Cancel, closes the window and returns to the invoicing screen
  • Options, displays the line item options context menu, also available by right-clicking
  • Sell Prices, opens the product item Sell Prices screen
  • Templates, opens the template browser to enable the selection of 'boilerplate' text
  • <<=Text=>>, alternates between the invoice items message and the quotation item message
  • OK, returns the details and populates a line on the invoice screen

The Product Line Item Entry Options Menu

Menu Options

  • Costings, opens the item costing screen
  • Prices, opens the price history file
  • BAckorders, displays and enables backorders to be created in the system. (Not the same as the invoice note above)
  • Stock on hand, shows the warehouse locations and stock held
  • Serial Number, displays the serial number selection window, if the item is a serialised stock item
  • Exit, closes the options menu and returns to the line item entry screen.


Invoice Cartons

Carton Allocation Screen

The line items on an invoice can be allocated into separate cartons.

If there are more than 1 carton (the default) separate packing slips will be created for each carton.

When multiple cartons are required, the carton allocation screen provides the means of assigning lines to the correct box.

This is usually done after the invoice has been created as the packing operation will usually follow the order assembly process.

Double-clicking on any highlighted line will allow the carton to be set. Up to 50 cartons are available in a single invoice.

Changing a carton on a ine will also allow the option of changing all following lines to the same carton making the re-assignment process fast and efficient.


Invoice Save Options

Save as Sales Order, Quotation or Proposal.

Creating Sales Orders or Quotations involves creating an invoice but choosing a different save option at the end of the process.

The Save As Order or Quote from the invoice entry screen opens the 'Save As' screen.

Save Options

  • Sales Order, set the 'not required until' date, if necessary, and select the Save Sales Order button
  • Save as Quotation, accept or change the message, and select Save Quotation
  • Save as Estimate, accept or change the message, and select Save Estimate

Note: A quotation is considered to be for a fixed price where an estimate is an indication only and may vary up or down.

Estimates and Quotations can have their status changed from within the Quotations Browser. Essentially the only difference is that the document when printed has the header reflecting its status.

\


Invoice Receipting

Invoice Receipt Screen

THis screen is accessible from the invoicing screen via a button.

It also appears automatically at the end of the Point Of Sale process.


Invoice Printing

Invoice Print Options

The invoice printing options screen is accessed from a number of areas within BGOffice.

THis example is from the Invoice Archives browser.

Features

  • Preview option available
  • Printer selection option if the default invoice printer is not to be used. Useful for PDF printers
  • Packing skips are unpriced by default but can be priced
  • The quantity of invoices and packing slips can be changed from the default
  • Direct emailing using the in-built BGOffice email function. The default format is RTF to suit most word processors
  • If the Bullzip PDF printer has been installed, the PDF attachment option is available.
  • The packing slip can be included with an invoice when emailing
  • Support for RelayFax
  • Preparation List print option available. (Used for assembling larger orders instead of the default picking list)


Create Sales Order

Create a Sales Order

  • Open the Customer Master Record
  • Select the Invoice button
  • Create the invoice but select Save As Order or Quote
  • Select Sales Order


Create Quotation

Create a Quotation

  • Open the Customer Master Record
  • Select the Invoice button
  • Create the invoice but select Save As Order or Quote
  • Select Quotation


Point Of Sale

The BGOffice Point Of Sale Module

The POS module is accessed from the main program menu. It is closely related to the invoicing function and further details regarding the entry of items into the POS screen can be found in that section of the manual.

When the option is selected the Quick Sale screen is opened.

Quick Sale Screen

A customer account needs to exist for the POS transactions to be collected against. An account should be created and entered under the Program Settings, Point Of Sale. The Quick Sales screen confirms the account that has been nominated for the POS transactions.

Tip: If you have multiple workstations being used as POS terminals, you could consider creating a POS customer account for each workstation.

Continuing opens the sale screen.

The Point Of Sale Screen

Entering the product code or scanning the barcode will bring up the inventory line item screen.

Button Options

  • Details - brings up the payment entry screen
  • Search - opens the inventory search screen
  • Change - makes changes to the highlighted line
  • Delete - deletes the highlighted line
  • ESC Cancel - cancels the POS entry
  • PgDn Accept - completes the sale
  • Analyse - shows details of the sale financials

The Inventory Line Item Entry Screen

Note the right-click options menu, also accessed from the Options button.

Once the sale is accepted and the payment made, the program will return to the Point Of Sale screen.

The Payment Entry Screen

The payment entry window also opens when the Page Down key is selected at the end of the sales process.

The screen will also calculate the change required if the cash value exceeds the sale value.


Vehicle Selection

Attaching a Vehicle to an Invoice.

If the vehicle option has been enabled in BGOffice, a V button will be available on the invoicing screen.

It will open the Vehicle Transaction Record Screen and allow the vehicle details to be recorded.

Vehicle Transaction Record

Features

  • Select an exiting customer vehicle from the drop down box, or tick the 'New' checkbox
  • Update or complete the vehicle details
  • Update the Registration and or WOF expiry dates
  • Enter the kilometre reading
  • The vehicle notes can be accessed for reference or updating
  • The vehicle history is available
  • A reminder can be set in the vehicle diary
  • The owner details can be entered, if the customer master record details are not the same
  • Contact details including an email address and a correspondence salutation can be updated

Tip: The vehicle record can be opened at any time while the invoice is being created.


Invoice Archives

The Invoice Archives Browser

Invoices are stored in the archives. Access to the invoice archives is from the Customer main menu option, invoice archives.

When the screen opens the most recent invoice is displayed.

Navigation buttons allow for next and previous and first and last record positioning.

There is also a find option where the invoice number can be entered, and a search function. The search function can look at the header information or the line details.

Invoice Archives Browser

Button Options

  • Invoice Address - allows the invoice address to be edited
  • Delivery Address - allows the delivery address to be edited
  • Edit Message - allows the invoice message to be edited
  • Export as XML - create an XML copy of the invoice for EDI transmission
  • |< - go to the first record in the file
  • >| - go to the last record in the file
  • > - go to the next record
  • < - go the the previous record
  • Search Archives - access the search utility
  • Set Cartons - allocate the items to a nominated carton
  • Details - opens the extended details window
  • Reprint - brings up the invoice print options
  • OK - closes the invoice archives browser.

Archived Invoice Details Screen

The Details button will open the Invoice Details screen.

Various fields are available for editing., including the salesperson associated with the sale.

If the invoice has not yet been reconciled, the due data may be changed.

None of the selling price details are available for change.

It is also possible to drill down to the actual line items on the invoice through the 'Line Items' button.

Selecting Line Items displays the Invoice Analysis screen with the invoice lines loaded into the selection box.

Invoice Analysis Screen

Selecting the 'Change' button or double-clicking the highlighted line will open the Line Details Analysis Screen.

The Line Details Analysis Screen

Some of the fields may be changed at any time.

Depending on the invoice status, some of the financial details may also be edited. If the changes alter the value of the invoice, the transaction in the customer account will also be updated to reflect the new values.


Supplier Menu Options


Create Supplier

Create A Supplier

Create a supplier account with the basic details.


Supplier Browser

The Supplier Browser

Button Options

  • Email, opens the email client with the supplier email addresses populated
  • Label Options, displays the label options screen
  • Search, opens the supplier search window
  • Delete, deletes the highlighted supplier account subject to certain criteria. (Needs enabling through program preferences, extended options)
  • Create, opens the new supplier window
  • Display, opens the supplier master record


Supplier Master Record

The Supplier Master Record

Button Options

  • Email, opens the email client with the supplier email addresses populated
  • Contacts, opens the supplier contact screen
  • Addresses, opens the supplier addresses screen
  • Purchase History, displays the items purchased with an optional date range filter
  • Reconcile, matches 'open' transactions
  • Transaction History, displays the transaction history with an optional date range
  • Options, displays the options menu (also available by right-clicking)
  • Inwards Goods, opens the inwards goods screen
  • Purchase Order, opens the purchase order screen,
  • Transaction, opens the transaction screen
  • Notes, opens the supplier notes file,
  • OK, closes the screen


Supplier Search

The Supplier Search Screen

Searches the supplier file for a text scrap and list the matches in the selection box.

The Display button will opens the supplier master record for any highlighted line.


Supplier Administration

Supplier Account Administration.

Features.

  • Payment terms, cash, 7 days or 20th following
  • Bank details for direct crediting
  • Account can be put on hold to prevent purchase orders and inwards goods
  • Alert message when ordering or receiving goods


Supplier Contact Details

Supplier Contact Details

Supplier Additional Contact Details

Button Options

  • New, create a new contact
  • Delete, remove the highlighted contact,
  • Print, prints the contact list
  • Display, opens the contact record
  • OK, closes the screen


Supplier Addresses

Purchase Order Address

Remittance Address

Email Addresses and Web URLs


Supplier Notes

The Supplier Notes File


Supplier Label

Opens the Dymo Labelwriter screen.

The address (delivery or remittance) can be selected and the number of copies required.

The label data can be copied to the clipboard for pasting into an external application


Supplier Options

The Supplier Options are available by selecting the Options button or by right-clicking the mouse.

Options Details

  • Contact Details, opens the contact details screen
  • Associated Names, opens the additional contact details stored on the Contacts database
  • Profile, opens the supplier profile screen,
  • Addresses, opens the supplier address details screens
  • Dymo Label, opens the Dymo Labelwriter screen
  • Administration, accesses the supplier administration screen
  • Reconcile Transactions, matches invoices against payments
  • Edit Transactions, opens the transaction edit facility
  • Age Supplier Balances, recalculates the aged balances against the current date
  • Remittance Advice, opens the remittance advice form
  • Goods Received, displays the history of items received using an optional date range filter
  • Goods Ordered, displays the items on order that have not yet been delivered
  • Transaction History, displays the transactions history using an optional date range
  • Purchases Analysis, shows the purchases 'spend' broken down into the last 12 months
  • Orders Required, calculates the items that have had the reorder level triggered for ordering purposes


Supplier Transaction

Supplier Transaction Screen

Allows a manual transaction entry to be created against a supplier.


Supplier Reconciliation

Reconciling Supplier Transactions

Features

This process matches payments made against 'open' or unmatched items.

A checkbox allows the inwards goods entry to be displayed to assist in reconciling invoices

Button Options

  • Sort Items By Reference, toggles the display sorting between reference and date
  • Preview, previews the transactions selected
  • Consolidate, attempts to reduce the amount of data displayed
  • CSV Export, exports the selected items in a CSV file for later re-importing if the reconciliation can't be completed
  • Print, prints the selected items as a file copy
  • Cancel, closes the screen
  • CSV Import, imports a previously saved CSV file
  • Create Remittance Advice, opens the remittance advice form
  • Transaction, enables a transaction to be created against the supplier account directly, useful for journals to resolve rounding issues
  • Match and Update as at, closes the matched transactions with the date as selected


Supplier Remittance

The Supplier Remittance Form

The Remittance Form, when opened from the Reconcile Screen, will be populated with the selected transactions.

Button Options.

  • EXit, closes the form
  • Add, adds items to the remittance details,
  • Remove, removes items from the remittance form,
  • Email, emails the remittance advice,
  • Print, prints the remittance advice


Supplier Transaction Edit

The Supplier Transaction Edit Function

This process allows for unreconciled transactions to be edited to correct errors.

The transaction is selected. Its details are then edited in the lower section of the screen. The OK button saves them amended transaction back into the selection box above. Further transactions can be selected for editing.

When the editing is complete, the SAVE button commits the changes into the file and recalculates the supplier aged balances.


Supplier Transaction History

Supplier Transaction History

Offers a date range or an option to display all transactions.

The Transaction Browser

Button Options

  • Print, prints the transactions history
  • Display, shows the highlighted transaction (also by double clicking )
  • Ledger, prints the displayed transactions to a ledger report that can be given to the supplier
  • Excel, exports the data to a CSV file
  • Audit Trace, opens the highlighted transaction in the group that were reconciled and given the unique audit ID
  • Search, opens the search window
  • OK, closes the screen


Supplier Orders Received

Features

  • Displays goods received (inwards goods entries) for user selected dates (or all dates)
  • Double clicking on the highlighted lines will open the inwards goods docket in the browser
  • The displayed details can be printed
  • A search function is available


Create Purchase Order

Purchase Orders are created from the Supplier Master Record.

The Purchase Order Screen

Button Options

  • Rate, opens the currency conversion screen
  • Search, opens the inventory search screen
  • Create Item, opens the new inventory item screen
  • Options, displays the options menu

Adding items to the Purchase Order

Line Item Entry Button Options

  • Supplier Details, accesses the supplier details recorded in the inventory item record
  • Calculates from line total, divides the total by the quantity to derive the unit price
  • Cancel, exits the line entry screen
  • Costings, accesses the product costings screen
  • On Hand, displays the available stock and locations screen
  • Templates, accesses the narrative template editor
  • Label, opens the label printing screen
  • Dymo, opens the Dymo Labelwriter screen
  • OK, saves the line details into the inwards goods screen

Purchase Order Options Menu

Menu Options

  • Edit Line, changes the highlighted purchase order line
  • Delete Line, deletes a highlighted line entry
  • Suspend, save the purchase order for completing later
  • Bill Of Materials, enables the selection of a bill of materials and populates the purchase order

Currency Conversion Screen


Supplier Inwards Goods

Create an Inwards Goods Entry

Features

  • Allows for supplier transactions to be disabled and whether GST is applied
  • Selectable currency with conversion value over-ride
  • Control over the inventory updating

Button Options

  • Supplier Transactions - controls the actual transaction details if it created against the supplier account
  • Updating - controls the updating process for the goods being received
  • $$$ - opens the currency conversion screen to allow for correct foreign currency calculations
  • Search - opens the inventory search screen
  • Options - opens the context pop-up menu
  • Create - opens the new inventory item screen
  • Cancel - cancels the inwards goods entry
  • Saves - updates the inwards goods entry and creates the transactions in the supplier account
  • % - selects the GST rate to be use

Inwards Goods Options Menu

  • Change the highlighted line entry
  • Delete the highlighted line entry
  • Import a purchase order
  • Check that the inwards goods entry hasn't been done before, using the invoice and supplier details as reference

Inwards Goods Line Item Entry

Button Options

  • Supplier Details, accesses the supplier details recorded in the inventory item record
  • Calculates from line total, divides the total by the quantity to derive the unit price
  • Cancel, exits the line entry screen
  • Costings, accesses the product costings screen
  • On Hand, displays the available stock and locations screen
  • Templates, accesses the narrative template editor
  • Label, opens the label printing screen
  • Dymo, opens the Dymo Labelwriter screen
  • OK, saves the line details into the inwards goods screen

Label Screen

Dymo Label Screen

Purchase Order Import

Allows a purchase order or orders to be imported directly into the inwards goods entry screen.

Supplier Transaction From Inwards Goods

Controls the details of the invoice transaction that will be created in the supplier account whether a matching credit should be added if the inwards goods being received have been paid. The amount can be altered to correct rounding issues, if required.

Inwards Goods Update Options

Controls the way in which product properties and inventory values are updated.


Supplier Orders

Creating a Purchase Order

Printing a Purchase Order


Items Required

Supplier Items Required

Generates a report from which a purchase order can be derived.


Supplier Profile


Purchase Order Printing

Purchase Order Print Options

Features

  • May be viewed in preview mode
  • a printer can be selected, including a PDF writer
  • priced and unpriced option available with quantity selection
  • the print options can be saved as the default
  • direct emailing is available with PDF attachment if Bullzip Printer is enabled
  • RelayFax supported

Purchase Order Status Report


Purchase Order Archive

The Purchase Order archives are located under the Supplier main menu option.

Purchase orders can be imported into the Inwards Goods entry procedure. This optional process will update the quantity ordered with the actual quantity received.

The undelivered items are available in the reports modules.

Purchase Order Browser

Button Options

  • Search, opens the search window
  • Delete, deletes the purchase order
  • Edit, opens the purchase order for editing
  • |< < > >|, navigation keys to move through the file
  • Refresh, updates the browser after editing or updating
  • Reprint, opens the purchase order print screen
  • Update, allows the order details to be updated
  • OK, closes the browser

The Purchase Order Update Screen

The Edit button will open the highlighted line for updating the quantity that has been received.

The checkbox can also mark the entire order as having been received.

Updating the Quantity Received

Updating the Purchase Order Status


Create Inwards Goods

An inwards goods docket is created from a supplier master record.

Create an Inwards Goods Entry

Features

  • Allows for supplier transactions to be disabled and whether GST is applied
  • Selectable currency with conversion value over-ride
  • Control over the inventory updating

Button Options

  • Supplier Transactions - controls the actual transaction details if it created against the supplier account
  • Updating - controls the updating process for the goods being received
  • $$$ - opens the currency conversion screen to allow for correct foreign currency calculations
  • Search - opens the inventory search screen
  • Options - opens the context pop-up menu
  • Create - opens the new inventory item screen
  • Cancel - cancels the inwards goods entry
  • Saves - updates the inwards goods entry and creates the transactions in the supplier account
  • % - selects the GST rate to be use

Inwards Goods Options Menu

  • Change the highlighted line entry
  • Delete the highlighted line entry
  • Import a purchase order
  • Check that the inwards goods entry hasn't been done before, using the invoice and supplier details as reference

Inwards Goods Line Item Entry

Button Options

  • Supplier Details, accesses the supplier details recorded in the inventory item record
  • Calculates from line total, divides the total by the quantity to derive the unit price
  • Cancel, exits the line entry screen
  • Costings, accesses the product costings screen
  • On Hand, displays the available stock and locations screen
  • Templates, accesses the narrative template editor
  • Label, opens the label printing screen
  • Dymo, opens the Dymo Labelwriter screen
  • OK, saves the line details into the inwards goods screen

Label Screen

Dymo Label Screen

Purchase Order Import

Allows a purchase order or orders to be imported directly into the inwards goods entry screen.

Supplier Transaction From Inwards Goods

Controls the details of the invoice transaction that will be created in the supplier account whether a matching credit should be added if the inwards goods being received have been paid. The amount can be altered to correct rounding issues, if required.

Inwards Goods Update Options

Controls the way in which product properties and inventory values are updated.


Inwards Goods Printing

Inwards Goods Print Screen

Button Options

  • Cancel, close without printing
  • Preview, open in the report preview window
  • Email, create the document and open the email message with the document attached
  • Print - 1, print a single cope to the assigned printer
  • Prince - 2, print 2 copies to the assigned printer


Inwards Goods Archives

INwards Goods dockets can be retrieved from the Inwards Goods Browser available under the Supplier main menu option.

The Inwards Goods Browser

The browser opens on the last inwards goods entry that has been created.

Navigation buttons enable movement through the archives file. Entering the document number in the text entry box will find the document and display it.

Emailing is also enabled as an option to the reprint function.

Button Options

  • Search Archives, opens the search window
  • Show Details, opens the details screen which displays more information and allows updating of some fields
  • |< < > >|, navigation buttons to move through the file
  • Reprint, reprints the inwards goods docket. If selected, the document will be attached to an email message

The inwards Goods Details Screen


Create Vehicle Record

Create a Vehicle Record

When the vehicle browser is accessed from a customer record an 'Add' button is available to allow for a new vehicle record to be created.


Vehicle Browser

The Vehicle Browser

The vehicle browser lists all available vehicles, sorted by registration number.

Any vehicle can be located by entering the registration number into the text entry box and hitting 'Enter'

Button Options

  • Diary, opens the diary to display reminder entries
  • Service Records, shows the service history of the selected vehicle
  • Delete, removes a vehicle from the file,
  • Print, prints the vehicle list
  • Reminder, sets a reminder note in the diary for the selected vehicle
  • Display, opens the vehicle master record

The vehicle browser is also displayed from within the customer record in which case it will only display the vehicles that are listed against that customer, and it will offer an Add button to allow for new records to be created.


Vehicle Master Record

The Vehicle Master Record

The vehicle master record allows direct access to the notes file and the service history.

It also allows for the setting of a reminder in the diary.


Vehicle Transaction Record

Create A Vehicle Transaction Record

The vehicle transaction record is opened when an invoice is being raised against a customer. The vehicles attached to that customer are displayed in a drop down selection box. A new record can be created by entering the details and selecting the New checkbox.

The customer details can be overridden where the owner is not actually the customer account. This can happen as a result of a 'trade' sale and ensures that the actual owner's details are retained even where someone else is paying the account.

The vehicle notes, service history and the reminder diary can be accessed from this record. The mileage details and expiry dates can be updated on an existing record.

The transaction record is accessed under the service history option on the vehicle browser or master record screens.

The Vehicle Transaction Service History Record


Vehicle Diary

The vehicle Diary

The Vehicle Diary allows for reminder notes to be entered against a vehicle.

The Set Reminder screen allows for the entering of a short note and a 'come out' date. There are a number of short cut buttons which will add a pre-determined number of months to the current date.

The Service Reminder screen displays all reminder notes within a pre-selected date range. They can also be printed. These reminders are used to co-ordinate contact with the customer by letter or direct calling.

Note: The system does not offer any direct means of contacting vehicle owners or following up on the reminders. Rather it is intended to provide the source data allowing the user to work with any system that they prefer. This could bas as simple as having pre-printed reminder cards through to detailed letters.


Vehicle History

Vehicle history is accessed through the vehicle history browser.


Reports

The Reports Module is accessed from the main program menu.

The Customer Reports

The Inventory Reports

The Management Reports

The Supplier Reports

The Invoice Reports

The Inwards Goods Report


Customer Reports

These are the available custoemr reports.


Backorders

THis report details the customer backorders by product.

A number of options are available within the report selection criteria.


Customer Account Balances

The Customer Account Balances report lists the aged balances from a number of criteria.

The Bad Debt and Watch status flags are set under Customer Administration.


Sales Call Sheets

The Sales Call Sheet report generates the salesperson call sheet summary.

OPtions allow for the including of the customer transactions or current balance, and trh suppressing of the list and actual selling prices.


Cash Received

The Cash Received report details payments received either the unbanked items, or within a date range.


Contact List

The Customer Contact List is designed to prioritise sales (contact) activity by anlysing actual sales results.


Deposit Supplement

THe Deposit Supplement lists all unbanked items as a supplement sheet with the bank deposit form.


Group Sales Analysis

This report analyses the sales values by customer group.


Master List

THis report provides master lists from the customer data file.


Telephone List

THis report provides a custoemr telephone list.


Preferential

Thsi report provides a list of preferential customers from the loyalty module.

It provides an efficient means of managing the loyalty module and assists in targeting sales.


Reset Active Deposits

Once items have been deposited the 'active' flag needs to be reset, This function should be done at the time the banking is processed.


Sales Analysis

The report allows detailed analysis over 12 months, 12 weeks or within the current financia year.


Selective Sales Analysis

The selective sales report allows specific product items and selected customers to be analysed independently.


Statement Run

This report generates the customer statement batch based on various selection criteria.


Transactions

THis report lists all customer transactions within a date range or a trading statement period.


Inventory Reports

These are the reports available from the inventory module.


Re-orders Required

This report generates a list of products that need to be ordered.


Adjustments

THis report details the product adjustments that have been made within a selected date range


Sales Analysis

This report allows extremely detailed sales analysis using a various criteria.


Back Orders By Product

THis report details the inventory items that are currenly on backorder.


Backorder Alerts

THis report shows items that have backorders waiting and which have now been received into stock.


Commission List

This report matches product items to commission groups.


Consignment

This report lists the items that are on consignment.


Costings Analysis

This report provides costing analysis with various selection criteria.


Stock Discrepancies

This report validates the stock on hand against the stock audit trace and reports discrepancies.


Extended Price List

This report generates price lists for selcted customer groups and products.


Goods Received

This report details the goods received within the specified date range.


Master List

This report allows the generation of stock master lists.

Options include CSV exporting and inclusion of the supplier's product code


Pricing Matrix

This procedure will print the price matrix table.


Goods Movements

This report details the stock movements within a selected date range with an optional warehouse location.


Negative Stock

Tis report lists all product items with negative stock on hand.


Products By Price Group

This report enables ready indentification of the inventory which are assigned to the specified price group.


Performance

This report analyses product sales within a date range compared against stock on hand and stock turn rates.


Price List

This report generates a price list for a selected customer price group.


Promotions

This report details the promotional prices currently active.


Reorder Alerts

This report analyese sales against stock holding and reorder lead times. Its objective is to ensure that the reording process is aligned as accurately as possible against requirements and replenishment factiors.


Reorder Management

This report will assist in the management oif product reordering.


Sales Report

This report analyses product sales and produces layout options suitable for replenishment ordering or cost/yield comparisons.


Sell Price Exceptions

This report compares actual item sales against the calculated sell price and reports exceptions outside a tolerance range set as a percenatge of either margin or markup.


Stocktake Sheets

This report generates stocktake sheets.

Note: they are not the same as those produced within the Stocktake Module


Orders Undelivered

This report lists all unfulfilled purchase orders.


Value On Hand

This report generates inventory value on hand totals from a range of selection criteria.


Supplier Reports

These are the supplier report options.


Supplier Account Balances

Prints a list of the Supplier account balances.


Master List

Produces a supplier master list.


Purchase Orders

Produces a report showing purchase orders by date, optionally filtered by supplier.


Purchase Orders Status

Produces a report detailing the purchse order status as specified in the status screen attached to each purchase order.

Multiple suppliers can be optionally selected - the default is to include all suppliers.

By default, completed orders are excluded.

An optional spreadsheet export file (CSV) can be created.


Purchases Analysis

Produces a report detailed in the values of orders against all suppliers.

Options are the last 12 months or the current financial year.


Payment Schedule

Produces a list of payments due to suppliers.

Used to determine cash requirements and for assembling a direct credit schedule.


Transactions

Prints the supplier transactions with a selected date range.


Management Reports

Management report Options


Best Performers

Best Performers Report.

  • Date range selected
  • Customers - by value or profit
  • Inventory - by value or profit
  • Inventory Groups ranked by customer
  • USer selection
  • Salesperson filtering
  • Email supported


Validate Centralised Billing

This function will validate the centralised (head office) billed account to ensure that all references are valid.

NB: A Head Office account MUST have its own account number in the 'Bill To' setting under Administration. That is to indetify it as a 'hosting' account.


Commission Report

The Commission List will identify product groups and commission groups associated with them.


Critical Events Log

The Critical Events Log lists event details that have a significant effect on the data files.

Features

  • Searchable by text 'scrap' with all mtached identified by highlight within the list
  • Print option available
  • Log reset requries administrator access and extended option enabled in user preferences


Email Distribution

The Email Distribution List generates email messages to the selected groups or profile.

It requires a subject and a message. Attachments may be selected.

The groups are selected from the customer data file or from the contacts file.

Individual email messages will be created to each user that is selected into the nominated groups.

A progress report shows the emssages as they are sent and a test button can be used to verify the process before the batch sending begins.

A log is generated and can be browsed after the process completes.


Data Export

The data export function creates CSV output from customers, suplliers, products or invoices.

Once the base option has been selcted and parameters supplied, the Export to Excel window opens.

The data objects available are listed in the left column. Slecting them mobves them into (or out of) the selected column.

The target filename is selected using the Browse' option.

The output file can have the column headers suppressed and the file can be opened in teh default spreadsheet application after the report completes.

The Zen Cart Export Option.

This is a pre-determined erxport option designed to create output files in the form used by Easy Populate, a commonly used 'free' utility designed to upload to Zen shopping cart web sites.

VAriuos selection options are available and the exported product item is date flagged to detect new items only, if required.


Accounts On Credit Hold

THis report lists the customer accounts that are on credit hold - set under Customer Administration.


Sales Letters

Preferential Customers (Loyalty Module) have a sales letter utility included which analyses sales made within a date range to determine eligibility for a sales letter.

The significant sales are collected into the browser. The invoices can be viewed directly if further reference is needed.

Once the recipient list has been established the letter utility can be opened.


Mailing List

The Mailing Label function maintains a list of mailing addresses separately from the source data files.

These addresses can be deleted or edited directly. New addresses can be entered with the 'Add' function.

Items can be selected or unselected for multiple operations.

The Print option accesses the label printing function.


Penalty Interest

Overdue accounts can be subject to a penalty interest assessment.

The procedure analyses the accounts for the overdue component and produces a schedule of charges.

The schedule, once approved, creates journal transactions against the nominated accounts in the amounts assessed as penalties.


Performance Analysis

The Performance Analysis analyses the sales or gross profit generated within a date range.

If as budget value ios entered, the output will include a comparison.

The report can be emailed.


Debtors Reconciliation

The Debtors Reconciliation Report validates the opening debtors balance at the beginninhg of a trading period or data, and compares the tarnsactions over the period to verify that the calculated balances agree with the actual balances.

It is designed to ensure that balances are correct following a hardware failure or major computer event that might have damaged files.


Trading Statement

Transactions are grouped into Trading Statements.

The user determines when to close a trading period and begin a new one.

Usually this is done on a monthly basis but no particular schedule needs to be followed.

Once closed, the trading statement can be printed or emailed.


Salesperson Yield

The Salesperson (or Sales Entity) Yield Report assess the gross profit recovered from that salesperson during the date range specified.


Invoice Reports

These are the invoice reporting options.


Batch Reprinting By Date

This report will batch reprint invoices rased within a date range.


Batch Reprinting By Number

This report will batch reprint invoices rased within a number range.


Credited Sales

This report lists all negative invoices (credit notes) within a date range


Detailed Invoice Report

This report generates a detailed breakdown of invoice withing a date range.


Gross Profit Report

This report generates a gross profit analysis from invoices produced within a date range.

The gross profit can be summarised by invoice or by individual line item.


Inwards Goods


Security

The BGOffice Security Module allows for controlling user access to various parts of the program.

Using the security module is optional. It can be enabled or disabled from the Program Settings.

If enabled, the Administrator access will be required to disable it.

The User Login Screen

Setting or Changing Administrator Password

You must be logged in as 'Administrator' in order to access the security module options.

Creating or Editing a User Account

User Custom Permission Settings

Access is granted or denied to the options listed in the custom permissions screen.

Default settings for Guest, standard user, power user and administrator can loaded using the 'Load Defaults' button.

Copyright © 2011, Baksoft Group Limited, New Zealand


Advanced

BGOffice has a number of advanced features.


Version Details

The current program version is displayed in the title bar of the Help, About menu selection.


Evaluation Mode

BGOffice relies on a registration key derived from the registered user name and the program options that are being made available.

This key is provide by Baksoft on payment of the program.

Until the program is registered it will run under the Evaluation Mode.

This mode will allow all program features (except customised functions) to operate sufficiently to allow full evaluation of the software.

Use the evaluation mode only for that purpose. Once you have decided to purchase the license key Baksoft will assist you in creating the new file data.


Registration

BGOffice users are issued with a unique license key, called a registration key.

This key is entered into the program using the Registration option (Help, About)

The default is that the program is operating in Evaluation Mode.

Select the Enter Registration Details button from the Registered User display screen

Enter the User Name, the Options Key and the registration key supplied by Baksoft.

Then click the 'Register' button.

If the key entered does not match the other details, a warning will be displayed and the program will revert to evaluation mode.

The end user license can be viewed or printed from the Registered USer screen.


Reindexing Files

Data files are related by Index Keys.

These keys allow the software to assemble matching data sets from a number of data tables.

An example would be where an invoice data set is assembled from a header table, a line items table and some related control and settings tables in order the display or pint the invoice.

The program using 'keys' for this purpose.

Occasionally index keys can become corrupted due to sudden power outage, hardware failure etc and will need to be rebuilt.

The Index Rebuild menu option will allow this process to be run.

Caution: You need exclusive file use in order to proceed. All other users must be logged out of BGOffice.

Confirm that you are the only user and that you wish to continue.

Tick the checkbox if you wish to run the extended options (not normally required).

When the rebuild completes you will be advised, and all users can then continue using the program normally.


Error Control

BGOffice has an inbuilt error detection and control function.

When a program error occurs, a warning screen is triggered.

This screen contain s detailed information that Baksoft can use to identify the cause of the problem. The error report can be printed or emailed.

When the error is acknowledged BGOffice will close.


Program Updating

BGOffice has an internal updating facility.

Program updates are introduced to the shared updates folder on the network. In some situations this can be done by downloading from the Baksoft updates web site. Alternatively it may be introduced directly via Baksoft's remote support engineers.

WHen a new version has been installed into the shared folder, each workstation is updated by accessing the update procedure through the Help, About, Check for Program Updates menu option.

If an update is detected a procedure is invoked to copy the updated files from the shared folder into the local machine folder, usually C:\BGOFFICE|UPDATES

The program is restarted and checks the local folder for updates.

If found, it installs the updates and requests a program restart in order to complete the configuration.

Critical Update Warning

Under some conditions changes will need to be made to existing data that will require exclusive data access.
All other users will need to log out before this process can proceed.

The updates that have been performed on the local workstations can be read from the Updates Log button.


Remote Support

BGOffice includes a remote support package.

This software package allows you as the user to initiate a connection to a Baksoft support computer. The connection can only be established from your computer and will automatically remove the remote access software when the connection terminates.

It should only be used under advice from a Baksoft support engineer.

Once the remote support button is selected, a warning message will be displayed.

Confirming will run the remote support software and display this screen ...

Double-clicking on the entry in the server list that the engineer recommends will enable the connection to proceed.

From that point the engineer can see and operate your computer to resolve the issue that you are experiencing.

The remote support package can also be downloaded from www.Baksoft.co.nz


Emailing Direct

Invoices, purchase orders, statements and some reports can be emailed directly from within BGOffice.

Selecting the email option will bring up the email window. The example shown is for an invoice.

The recipient details are picked up from the customer record.

The CC email address is found in the BGOffice Automated Email settings (and can be left blank)

You can override the default subject and message text and choose additional files to attach to the message.

The message bode can also be saved to become the default. (Note that the 'Invoice xxxx is attached' is inserted by the program and shouldn't be saved as part of the message default)


Transaction Exporting

BGOffice is designed to export data to other programs in the BGOffice family or for integration into external applications.

A special data stream is created for this purpose.

The default is not to allow exporting but the stream can be enabled if required.

If you need assistance in using this data stream for your own purposes of external programs, Baksoft can assist with detailed specifications and customisation is required.


Network Information

The network (LAN) information button is designed to show the drive mappings applicable to the workstation.

BGOffice needs to be run on 'mapped' drives. Although it will operate over UNC connections, it is faster and more efficient to use drive mapping for the purposes.


Set Data Source

By default, BGOffice will install itself into C:\BGOffice and create a sub folder in that location and create a new set of data files.

If the data files are to be located on another computer or network server, you will need to set the data location once the program has been installed.

IN the course of the installation procedure you will be offered an opportunity to 'search' for data files if they are not found in the default location. This will happen, for example, when you are installing BGOffice for the first time.

Setting the data location.

Use the browse button to select the data folder and confirm. BGOffice will check that valid data exists in the target folder.

BGOffice will then restart and configure itself to use the data in the new location.


Multi-Company Mode

BGOffice can be run in Multi-Company mode.

An unlimited number of companies can be run with a single program installation.

Contact Baksoft Support for assistance and advise in configuring the multiple company mode.


Backup & Restore

BGOffice includes simplified backup and restore procedures.

The procedure involves writing or reading from a ZIP file.

Backing up the BGOffice data

Specify a target folder.

Select a zip file name or use the browse button to locate an existing backup file.

The descriptive text shows the date and time and the name of the last backup file and whether it is available.

USually, and recommended if you use this backup system, you would write to an external USB drive or stick.

Restoring from the backup

Select the backup file with the browse button. Then confirm and follow the prompts.

Be aware that data files will be overwritten and the process is not recoverable.

Recommended:

This is a simplified backup procedure but Baksoft recommends that you use one of the many backup programs that are commercially available. You should be backing up all of your critical computer data, not just the BGOffice files.

Automated On Line Backup Service

Baksoft also offers an automated on line backup service


FAQ: General

Frequently Asked Questions: General

< This page is still under development>


FAQ: Customers

Frequently Asked Questions: Customers

< This page is still under development>


FAQ: Inventory

Frequently Asked Questions: Inventory

< This page is still under development>


FAQ: Invoicing

Frequently Asked Questions: Invoicing

< This page is still under development>


FAQ: Suppliers

Frequently Asked Questions: Suppliers

< This page is still under development>


FAQ: Vehicles

Frequently Asked Questions: Vehicles

< This page is still under development>


Label Printing


Invoice Menu Options


Supplier Purchase History


Supplier Purchase Order

The Purchase Order Screen

Button Options

  • Rate, opens the currency conversion screen
  • Search, opens the inventory search screen
  • Create Item, opens the new inventory item screen
  • Options, displays the options menu

Adding items to the Purchase Order

Line Item Entry Button Options

  • Supplier Details, accesses the supplier details recorded in the inventory item record
  • Calculates from line total, divides the total by the quantity to derive the unit price
  • Cancel, exits the line entry screen
  • Costings, accesses the product costings screen
  • On Hand, displays the available stock and locations screen
  • Templates, accesses the narrative template editor
  • Label, opens the label printing screen
  • Dymo, opens the Dymo Labelwriter screen
  • OK, saves the line details into the inwards goods screen

Purchase Order Options Menu

Menu Options

  • Edit Line, changes the highlighted purchase order line
  • Delete Line, deletes a highlighted line entry
  • Suspend, save the purchase order for completing later
  • Bill Of Materials, enables the selection of a bill of materials and populates the purchase order

Currency Conversion Screen